/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
/*
 * Controller.h
 * written by Chris Osborn <fozztexx%nvcc.uucp@groucho.sonoma.edu>
 */


#import <objc/Object.h>

@interface Controller:Object
{
  id keyBufButton;
  id keyMap;
  id keyboardView;
  id maxPaste;
  id pasteTrans;
  id myProto;
  id optionScroll;
  id optionView;
  id cardView;
  id slotWell1;
  id slotWell2;
  id slotWell3;
  id slotWell4;
  id slotWell5;
  id slotWell6;
  id slotWell7;

  id optionList, lastOpView, optionButtons, emulatorList, slotWells;
  int builtInOptions;
}

- init;
- free;

- newEmulator:sender;
- openEmulator:sender;
- saveEmulator:sender;
- saveEmulatorAs:sender;

- resetEmulator:sender;
- removeEmulator:emulator;
- mainEmulator;

- chooseOption:sender;
- changeKeyMap:sender;
- changeKeyBuffer:sender;
- changeTrans:sender;
- changeMaxChars:sender;

/* Application Delegate Methods */
- appDidInit:sender;
- app:sender powerOffIn:(int)ms andSave:(int)flag;

@end
