/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


#import <objc/Object.h>
//#import <sys/param.h>
#import "execute.h"
#import "Computer.h"

#define NO_SLOT (-1)

@interface PeripheralCard:Object
{
  id optionView;
  id iconImage;
  
  MachineState *state;
  id computer;
  int slot_number;
  id bundle;
}

+(int) preferredSlot:(int) availableSlotsMask;

- initFromBundle:aBundle;
  
- insert:(MachineState *) st inComputer:aComputer inSlot:(int) slot;
- removeFromSlot;

- addAddressHandler :(int)lowAddress :(int)highAddress :(SEL)selector :(AccessType)type;
- addRoutineHandler :(int)lowAddress :(int)highAddress :(SEL)selector;
- removeAddressHandlers :(int)lowAddress :(int)highAddress :(AccessType)type;
- removeRoutineHandlers :(int)lowAddress :(int)highAddress;
- (int)emptyHandler:(AccessType)t :(MemoryElement *)m;

- computer;
-(int) currentSlot;

- iconImage;
- optionView;
- bundle;

@end
