/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


#import <appkit/appkit.h>
#import "PeripheralCard.h"
#import <stdio.h>
#import <sys/param.h>
#import <mach/cthreads.h>


enum SerialCardError {
  SERIAL_ERR_NO_ERROR,
  SERIAL_ERR_WHO_KNOWS,
};



@interface SerialCard:PeripheralCard
{
  int serial_port_fd;
  unsigned char prom_image[256];
  int default_baud_rate;  /* This is 0-15, one of the ACIA speeds. */
  char serial_dev[MAXPATHLEN + 1];
  
  /* ACIA register things, from the Laser128 Technical Reference Manual. */
  struct {
    unsigned char stop_bit    :1;
    unsigned char word_length :2;
    unsigned char baud_rate   :4;
  } ctl_reg_data;
  struct {
    unsigned char parity         :3;
    unsigned char echo           :1;
    unsigned char xmit_ctl       :2;
    unsigned char rcv_int_enable :1;
    unsigned char dtr            :1;
  } cmd_reg_data;
}

- initFrame:(const NXRect *)frameRect fromBundle:(NXBundle *)bundle;
- free;
- drawSelf:(const NXRect *)rects: (int)rectCount;

/* Traps for Apple ][ routines. */
- (BOOL)initCard;

@end
