/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


#import <appkit/appkit.h>
#import "execute.h"

@interface WozView:View
{
  id bitmapRep;
  id computer;   // IB outlet - owning Computer object
  Font *font40, *font80;
  unsigned char text_shadow[24][80];   // Also used for lores
  unsigned char hgr_shadow[0x2010];     // 0x2010 so we can go slightly off end
  unsigned char auxhgr_shadow[0x2010];  // in graphics conversion routines.
  StatusFlags last_flags;
  StatusFlags *display_flags;
  const MemoryElement *sysmem;
  BOOL we_are_color;
  unsigned char *hgrbuf, *real_hgrbuf;  /* real_hgrbuf is not cache aligned. */
#if 0
  unsigned char hgrbuf[384][140]; /* Pointer to the frame buffer for screen. */
#endif
}

- initFrame:(const NXRect *)frameRect;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- awakeFromNib;
- free;
- setDisplayInfo:(StatusFlags *)f :(const MemoryElement *) s;
- updateScreen:(BOOL)drawAll :(double)now;
- computer;
- update40columnText:(const MemoryElement *) screenbase :(double)now
                    isMixed:(BOOL)mixed isAltChar:(BOOL)altcharset
                    redrawAll:(BOOL)redraw_all;
- update80columnText:(const MemoryElement *)screen_even_columns
                    :(const MemoryElement *)screen_odd_columns
                    :(double)now isMixed:(BOOL)mixed isAltChar:(BOOL)altcharset
		    redrawAll:(BOOL)redraw_all;
- updateHires:(const MemoryElement *)mainscreen
             :(const MemoryElement *)auxscreen
             isDouble:(BOOL)doubleHires
             isMixed:(BOOL)mixed
             isMono:(BOOL)monochrome
             redrawAll:(BOOL)drawAll;
- updateLores:(const MemoryElement *)mainscreen
             :(const MemoryElement *)auxscreen :(BOOL)mixed :(BOOL)drawAll;


-(BOOL) acceptsFirstResponder;
@end
