/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


/*
 *     handlers.h
 */

extern void setup_default_handlers (MachineState *m);
extern void add_routine_handler (MachineState *state, int low_address,
				 int high_address,
				 BOOL (*func)(MachineState *));
extern void remove_routine_handlers (MachineState *m, int low_address,
				     int high_address);
extern void add_address_handler (MachineState *state, int low_address,
				 int high_address,
				 int (*func)(AccessType, MemoryElement *,
					     MachineState *),
				 AccessType type);
extern void remove_address_handlers (MachineState *state, int low_address,
				     int high_address, AccessType type);
extern void add_slot_address_handler (int slot_number, MachineState *state,
				      int low_address, int high_address,
				      SEL sel, AccessType type);
extern void add_slot_routine_handler (int slot_number, MachineState *state,
				      int low_address, int high_address,
				      SEL sel);


typedef struct {
  long low_address, high_address;
  AccessType type_trapped;
  int (*func)();
} RWHandlerTableEntry;

typedef struct {
  long low_address, high_address;
  BOOL (*func)(MachineState *);
} RoutineHandlerTableEntry;
