/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


#ifdef USE_CC_VARIANTS
#define SETS_NONE(s) &&handle_ ## s
#define SETS_C(s) &&handle_ ## s ## _C
#define SETS_N(s) &&handle_ ## s ## _N
#define SETS_V(s) &&handle_ ## s ## _V
#define SETS_Z(s) &&handle_ ## s ## _Z
#define SETS_ALL(s) &&handle_ ## s ## _ALL
#else
#define SETS_NONE(s) &&handle_ ## s ##_ALL
#define SETS_C(s) &&handle_ ## s ##_ALL
#define SETS_N(s) &&handle_ ## s ##_ALL
#define SETS_V(s) &&handle_ ## s ##_ALL
#define SETS_Z(s) &&handle_ ## s ##_ALL
#define SETS_ALL(s) &&handle_ ## s ##_ALL
#endif

#define REPEAT_16(x) x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
#define REPEAT_32(x) REPEAT_16(x), REPEAT_16(x)


static const void *jump_table[] = {
  [OPC_NOT_COMPILED]        REPEAT_32 (&&handle_OPC_NOT_COMPILED),

  [OPC_INVALID]             REPEAT_32 (&&handle_OPC_INVALID),

  [OPC_ADC_IMM]             SETS_NONE (OPC_ADC_IMM),
			    SETS_Z    (OPC_ADC_IMM),
			    SETS_V    (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_N    (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_C    (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
			    SETS_ALL  (OPC_ADC_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ADC_ZP]              SETS_NONE (OPC_ADC_ZP),
			    SETS_Z    (OPC_ADC_ZP),
			    SETS_V    (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_N    (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_C    (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
			    SETS_ALL  (OPC_ADC_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ADC_ZP_X]            SETS_NONE (OPC_ADC_ZP_X),
			    SETS_Z    (OPC_ADC_ZP_X),
			    SETS_V    (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_N    (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_C    (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
			    SETS_ALL  (OPC_ADC_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ADC_ABS]             SETS_NONE (OPC_ADC_ABS),
			    SETS_Z    (OPC_ADC_ABS),
			    SETS_V    (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_N    (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_C    (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
			    SETS_ALL  (OPC_ADC_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADC_ABS_X]           SETS_NONE (OPC_ADC_ABS_X),
			    SETS_Z    (OPC_ADC_ABS_X),
			    SETS_V    (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_N    (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_C    (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
			    SETS_ALL  (OPC_ADC_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADC_ABS_Y]           SETS_NONE (OPC_ADC_ABS_Y),
			    SETS_Z    (OPC_ADC_ABS_Y),
			    SETS_V    (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_N    (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_C    (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
			    SETS_ALL  (OPC_ADC_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADC_IND]             SETS_NONE (OPC_ADC_IND),
			    SETS_Z    (OPC_ADC_IND),
			    SETS_V    (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_N    (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_C    (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
			    SETS_ALL  (OPC_ADC_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ADC_IND_X]           SETS_NONE (OPC_ADC_IND_X),
			    SETS_Z    (OPC_ADC_IND_X),
			    SETS_V    (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_N    (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_C    (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
			    SETS_ALL  (OPC_ADC_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ADC_IND_Y]           SETS_NONE (OPC_ADC_IND_Y),
			    SETS_Z    (OPC_ADC_IND_Y),
			    SETS_V    (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_N    (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_C    (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
			    SETS_ALL  (OPC_ADC_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_IMM]             SETS_NONE (OPC_AND_IMM),
			    SETS_Z    (OPC_AND_IMM),
			    SETS_NONE (OPC_AND_IMM),
			    SETS_Z    (OPC_AND_IMM),
			    SETS_N    (OPC_AND_IMM),
			    SETS_ALL  (OPC_AND_IMM),
			    SETS_N    (OPC_AND_IMM),
			    SETS_ALL  (OPC_AND_IMM),
			    SETS_NONE (OPC_AND_IMM),
			    SETS_Z    (OPC_AND_IMM),
			    SETS_NONE (OPC_AND_IMM),
			    SETS_Z    (OPC_AND_IMM),
			    SETS_N    (OPC_AND_IMM),
			    SETS_ALL  (OPC_AND_IMM),
			    SETS_N    (OPC_AND_IMM),
			    SETS_ALL  (OPC_AND_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_ZP]              SETS_NONE (OPC_AND_ZP),
			    SETS_Z    (OPC_AND_ZP),
			    SETS_NONE (OPC_AND_ZP),
			    SETS_Z    (OPC_AND_ZP),
			    SETS_N    (OPC_AND_ZP),
			    SETS_ALL  (OPC_AND_ZP),
			    SETS_N    (OPC_AND_ZP),
			    SETS_ALL  (OPC_AND_ZP),
			    SETS_NONE (OPC_AND_ZP),
			    SETS_Z    (OPC_AND_ZP),
			    SETS_NONE (OPC_AND_ZP),
			    SETS_Z    (OPC_AND_ZP),
			    SETS_N    (OPC_AND_ZP),
			    SETS_ALL  (OPC_AND_ZP),
			    SETS_N    (OPC_AND_ZP),
			    SETS_ALL  (OPC_AND_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_ZP_X]            SETS_NONE (OPC_AND_ZP_X),
			    SETS_Z    (OPC_AND_ZP_X),
			    SETS_NONE (OPC_AND_ZP_X),
			    SETS_Z    (OPC_AND_ZP_X),
			    SETS_N    (OPC_AND_ZP_X),
			    SETS_ALL  (OPC_AND_ZP_X),
			    SETS_N    (OPC_AND_ZP_X),
			    SETS_ALL  (OPC_AND_ZP_X),
			    SETS_NONE (OPC_AND_ZP_X),
			    SETS_Z    (OPC_AND_ZP_X),
			    SETS_NONE (OPC_AND_ZP_X),
			    SETS_Z    (OPC_AND_ZP_X),
			    SETS_N    (OPC_AND_ZP_X),
			    SETS_ALL  (OPC_AND_ZP_X),
			    SETS_N    (OPC_AND_ZP_X),
			    SETS_ALL  (OPC_AND_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_ABS]             SETS_NONE (OPC_AND_ABS),
			    SETS_Z    (OPC_AND_ABS),
			    SETS_NONE (OPC_AND_ABS),
			    SETS_Z    (OPC_AND_ABS),
			    SETS_N    (OPC_AND_ABS),
			    SETS_ALL  (OPC_AND_ABS),
			    SETS_N    (OPC_AND_ABS),
			    SETS_ALL  (OPC_AND_ABS),
			    SETS_NONE (OPC_AND_ABS),
			    SETS_Z    (OPC_AND_ABS),
			    SETS_NONE (OPC_AND_ABS),
			    SETS_Z    (OPC_AND_ABS),
			    SETS_N    (OPC_AND_ABS),
			    SETS_ALL  (OPC_AND_ABS),
			    SETS_N    (OPC_AND_ABS),
			    SETS_ALL  (OPC_AND_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_AND_ABS_X]           SETS_NONE (OPC_AND_ABS_X),
			    SETS_Z    (OPC_AND_ABS_X),
			    SETS_NONE (OPC_AND_ABS_X),
			    SETS_Z    (OPC_AND_ABS_X),
			    SETS_N    (OPC_AND_ABS_X),
			    SETS_ALL  (OPC_AND_ABS_X),
			    SETS_N    (OPC_AND_ABS_X),
			    SETS_ALL  (OPC_AND_ABS_X),
			    SETS_NONE (OPC_AND_ABS_X),
			    SETS_Z    (OPC_AND_ABS_X),
			    SETS_NONE (OPC_AND_ABS_X),
			    SETS_Z    (OPC_AND_ABS_X),
			    SETS_N    (OPC_AND_ABS_X),
			    SETS_ALL  (OPC_AND_ABS_X),
			    SETS_N    (OPC_AND_ABS_X),
			    SETS_ALL  (OPC_AND_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_AND_ABS_Y]           SETS_NONE (OPC_AND_ABS_Y),
			    SETS_Z    (OPC_AND_ABS_Y),
			    SETS_NONE (OPC_AND_ABS_Y),
			    SETS_Z    (OPC_AND_ABS_Y),
			    SETS_N    (OPC_AND_ABS_Y),
			    SETS_ALL  (OPC_AND_ABS_Y),
			    SETS_N    (OPC_AND_ABS_Y),
			    SETS_ALL  (OPC_AND_ABS_Y),
			    SETS_NONE (OPC_AND_ABS_Y),
			    SETS_Z    (OPC_AND_ABS_Y),
			    SETS_NONE (OPC_AND_ABS_Y),
			    SETS_Z    (OPC_AND_ABS_Y),
			    SETS_N    (OPC_AND_ABS_Y),
			    SETS_ALL  (OPC_AND_ABS_Y),
			    SETS_N    (OPC_AND_ABS_Y),
			    SETS_ALL  (OPC_AND_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_AND_IND]             SETS_NONE (OPC_AND_IND),
			    SETS_Z    (OPC_AND_IND),
			    SETS_NONE (OPC_AND_IND),
			    SETS_Z    (OPC_AND_IND),
			    SETS_N    (OPC_AND_IND),
			    SETS_ALL  (OPC_AND_IND),
			    SETS_N    (OPC_AND_IND),
			    SETS_ALL  (OPC_AND_IND),
			    SETS_NONE (OPC_AND_IND),
			    SETS_Z    (OPC_AND_IND),
			    SETS_NONE (OPC_AND_IND),
			    SETS_Z    (OPC_AND_IND),
			    SETS_N    (OPC_AND_IND),
			    SETS_ALL  (OPC_AND_IND),
			    SETS_N    (OPC_AND_IND),
			    SETS_ALL  (OPC_AND_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_IND_X]           SETS_NONE (OPC_AND_IND_X),
			    SETS_Z    (OPC_AND_IND_X),
			    SETS_NONE (OPC_AND_IND_X),
			    SETS_Z    (OPC_AND_IND_X),
			    SETS_N    (OPC_AND_IND_X),
			    SETS_ALL  (OPC_AND_IND_X),
			    SETS_N    (OPC_AND_IND_X),
			    SETS_ALL  (OPC_AND_IND_X),
			    SETS_NONE (OPC_AND_IND_X),
			    SETS_Z    (OPC_AND_IND_X),
			    SETS_NONE (OPC_AND_IND_X),
			    SETS_Z    (OPC_AND_IND_X),
			    SETS_N    (OPC_AND_IND_X),
			    SETS_ALL  (OPC_AND_IND_X),
			    SETS_N    (OPC_AND_IND_X),
			    SETS_ALL  (OPC_AND_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_AND_IND_Y]           SETS_NONE (OPC_AND_IND_Y),
			    SETS_Z    (OPC_AND_IND_Y),
			    SETS_NONE (OPC_AND_IND_Y),
			    SETS_Z    (OPC_AND_IND_Y),
			    SETS_N    (OPC_AND_IND_Y),
			    SETS_ALL  (OPC_AND_IND_Y),
			    SETS_N    (OPC_AND_IND_Y),
			    SETS_ALL  (OPC_AND_IND_Y),
			    SETS_NONE (OPC_AND_IND_Y),
			    SETS_Z    (OPC_AND_IND_Y),
			    SETS_NONE (OPC_AND_IND_Y),
			    SETS_Z    (OPC_AND_IND_Y),
			    SETS_N    (OPC_AND_IND_Y),
			    SETS_ALL  (OPC_AND_IND_Y),
			    SETS_N    (OPC_AND_IND_Y),
			    SETS_ALL  (OPC_AND_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ASL_ACC]             SETS_NONE (OPC_ASL_ACC),
			    SETS_Z    (OPC_ASL_ACC),
			    SETS_NONE (OPC_ASL_ACC),
			    SETS_Z    (OPC_ASL_ACC),
			    SETS_N    (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_N    (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_C    (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_C    (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
			    SETS_ALL  (OPC_ASL_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_ASL_ZP]              SETS_NONE (OPC_ASL_ZP),
			    SETS_Z    (OPC_ASL_ZP),
			    SETS_NONE (OPC_ASL_ZP),
			    SETS_Z    (OPC_ASL_ZP),
			    SETS_N    (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_N    (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_C    (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_C    (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
			    SETS_ALL  (OPC_ASL_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ASL_ZP_X]            SETS_NONE (OPC_ASL_ZP_X),
			    SETS_Z    (OPC_ASL_ZP_X),
			    SETS_NONE (OPC_ASL_ZP_X),
			    SETS_Z    (OPC_ASL_ZP_X),
			    SETS_N    (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_N    (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_C    (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_C    (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
			    SETS_ALL  (OPC_ASL_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ASL_ABS]             SETS_NONE (OPC_ASL_ABS),
			    SETS_Z    (OPC_ASL_ABS),
			    SETS_NONE (OPC_ASL_ABS),
			    SETS_Z    (OPC_ASL_ABS),
			    SETS_N    (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_N    (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_C    (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_C    (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
			    SETS_ALL  (OPC_ASL_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ASL_ABS_X]           SETS_NONE (OPC_ASL_ABS_X),
			    SETS_Z    (OPC_ASL_ABS_X),
			    SETS_NONE (OPC_ASL_ABS_X),
			    SETS_Z    (OPC_ASL_ABS_X),
			    SETS_N    (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_N    (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_C    (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_C    (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
			    SETS_ALL  (OPC_ASL_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_BCC]                 REPEAT_16 (&&handle_OPC_BCC),
                            REPEAT_16 (&&handle_OPC_BCC_NEWBANK),

  [OPC_BCS]                 REPEAT_16 (&&handle_OPC_BCS),
                            REPEAT_16 (&&handle_OPC_BCS_NEWBANK),

  [OPC_BEQ]                 REPEAT_16 (&&handle_OPC_BEQ),
                            REPEAT_16 (&&handle_OPC_BEQ_NEWBANK),

  [OPC_BMI]                 REPEAT_16 (&&handle_OPC_BMI),
                            REPEAT_16 (&&handle_OPC_BMI_NEWBANK),

  [OPC_BNE]                 REPEAT_16 (&&handle_OPC_BNE),
                            REPEAT_16 (&&handle_OPC_BNE_NEWBANK),

  [OPC_BPL]                 REPEAT_16 (&&handle_OPC_BPL),
                            REPEAT_16 (&&handle_OPC_BPL_NEWBANK),

  [OPC_BRA]                 REPEAT_16 (&&handle_OPC_BRA),
                            REPEAT_16 (&&handle_OPC_BRA_NEWBANK),

  [OPC_BVC]                 REPEAT_16 (&&handle_OPC_BVC),
                            REPEAT_16 (&&handle_OPC_BVC_NEWBANK),

  [OPC_BVS]                 REPEAT_16 (&&handle_OPC_BVS),
                            REPEAT_16 (&&handle_OPC_BVS_NEWBANK),

  [OPC_BIT_IMM]             SETS_NONE (OPC_BIT_IMM),
			    SETS_Z    (OPC_BIT_IMM),
			    SETS_V    (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_N    (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_NONE (OPC_BIT_IMM),
			    SETS_Z    (OPC_BIT_IMM),
			    SETS_V    (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_N    (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
			    SETS_ALL  (OPC_BIT_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_BIT_ZP]              SETS_NONE (OPC_BIT_ZP),
			    SETS_Z    (OPC_BIT_ZP),
			    SETS_V    (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_N    (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_NONE (OPC_BIT_ZP),
			    SETS_Z    (OPC_BIT_ZP),
			    SETS_V    (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_N    (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
			    SETS_ALL  (OPC_BIT_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_BIT_ABS]             SETS_NONE (OPC_BIT_ABS),
			    SETS_Z    (OPC_BIT_ABS),
			    SETS_V    (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_N    (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_NONE (OPC_BIT_ABS),
			    SETS_Z    (OPC_BIT_ABS),
			    SETS_V    (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_N    (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
			    SETS_ALL  (OPC_BIT_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_BIT_ZP_X]            SETS_NONE (OPC_BIT_ZP_X),
			    SETS_Z    (OPC_BIT_ZP_X),
			    SETS_V    (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_N    (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_NONE (OPC_BIT_ZP_X),
			    SETS_Z    (OPC_BIT_ZP_X),
			    SETS_V    (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_N    (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
			    SETS_ALL  (OPC_BIT_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_BIT_ABS_X]           SETS_NONE (OPC_BIT_ABS_X),
			    SETS_Z    (OPC_BIT_ABS_X),
			    SETS_V    (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_N    (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_NONE (OPC_BIT_ABS_X),
			    SETS_Z    (OPC_BIT_ABS_X),
			    SETS_V    (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_N    (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
			    SETS_ALL  (OPC_BIT_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_BRK]                 REPEAT_32 (&&handle_OPC_BRK),

  [OPC_CLC]                 REPEAT_16 (&&handle_OPC_CLC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_CLD]                 REPEAT_16 (&&handle_OPC_CLD),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_CLI]                 REPEAT_16 (&&handle_OPC_CLI),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_CLV]                 REPEAT_16 (&&handle_OPC_CLV),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_CMP_IMM]             SETS_NONE (OPC_CMP_IMM),
			    SETS_Z    (OPC_CMP_IMM),
			    SETS_NONE (OPC_CMP_IMM),
			    SETS_Z    (OPC_CMP_IMM),
			    SETS_N    (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_N    (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_C    (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_C    (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
			    SETS_ALL  (OPC_CMP_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CMP_ZP]              SETS_NONE (OPC_CMP_ZP),
			    SETS_Z    (OPC_CMP_ZP),
			    SETS_NONE (OPC_CMP_ZP),
			    SETS_Z    (OPC_CMP_ZP),
			    SETS_N    (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_N    (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_C    (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_C    (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
			    SETS_ALL  (OPC_CMP_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CMP_ZP_X]            SETS_NONE (OPC_CMP_ZP_X),
			    SETS_Z    (OPC_CMP_ZP_X),
			    SETS_NONE (OPC_CMP_ZP_X),
			    SETS_Z    (OPC_CMP_ZP_X),
			    SETS_N    (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_N    (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_C    (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_C    (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
			    SETS_ALL  (OPC_CMP_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CMP_ABS]             SETS_NONE (OPC_CMP_ABS),
			    SETS_Z    (OPC_CMP_ABS),
			    SETS_NONE (OPC_CMP_ABS),
			    SETS_Z    (OPC_CMP_ABS),
			    SETS_N    (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_N    (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_C    (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_C    (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
			    SETS_ALL  (OPC_CMP_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMP_ABS_X]           SETS_NONE (OPC_CMP_ABS_X),
			    SETS_Z    (OPC_CMP_ABS_X),
			    SETS_NONE (OPC_CMP_ABS_X),
			    SETS_Z    (OPC_CMP_ABS_X),
			    SETS_N    (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_N    (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_C    (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_C    (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
			    SETS_ALL  (OPC_CMP_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMP_ABS_Y]           SETS_NONE (OPC_CMP_ABS_Y),
			    SETS_Z    (OPC_CMP_ABS_Y),
			    SETS_NONE (OPC_CMP_ABS_Y),
			    SETS_Z    (OPC_CMP_ABS_Y),
			    SETS_N    (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_N    (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_C    (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_C    (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
			    SETS_ALL  (OPC_CMP_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMP_IND]             SETS_NONE (OPC_CMP_IND),
			    SETS_Z    (OPC_CMP_IND),
			    SETS_NONE (OPC_CMP_IND),
			    SETS_Z    (OPC_CMP_IND),
			    SETS_N    (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_N    (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_C    (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_C    (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
			    SETS_ALL  (OPC_CMP_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CMP_IND_X]           SETS_NONE (OPC_CMP_IND_X),
			    SETS_Z    (OPC_CMP_IND_X),
			    SETS_NONE (OPC_CMP_IND_X),
			    SETS_Z    (OPC_CMP_IND_X),
			    SETS_N    (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_N    (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_C    (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_C    (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
			    SETS_ALL  (OPC_CMP_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CMP_IND_Y]           SETS_NONE (OPC_CMP_IND_Y),
			    SETS_Z    (OPC_CMP_IND_Y),
			    SETS_NONE (OPC_CMP_IND_Y),
			    SETS_Z    (OPC_CMP_IND_Y),
			    SETS_N    (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_N    (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_C    (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_C    (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
			    SETS_ALL  (OPC_CMP_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CPX_IMM]             SETS_NONE (OPC_CPX_IMM),
			    SETS_Z    (OPC_CPX_IMM),
			    SETS_NONE (OPC_CPX_IMM),
			    SETS_Z    (OPC_CPX_IMM),
			    SETS_N    (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_N    (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_C    (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_C    (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
			    SETS_ALL  (OPC_CPX_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CPX_ZP]              SETS_NONE (OPC_CPX_ZP),
			    SETS_Z    (OPC_CPX_ZP),
			    SETS_NONE (OPC_CPX_ZP),
			    SETS_Z    (OPC_CPX_ZP),
			    SETS_N    (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_N    (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_C    (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_C    (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
			    SETS_ALL  (OPC_CPX_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CPX_ABS]             SETS_NONE (OPC_CPX_ABS),
			    SETS_Z    (OPC_CPX_ABS),
			    SETS_NONE (OPC_CPX_ABS),
			    SETS_Z    (OPC_CPX_ABS),
			    SETS_N    (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_N    (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_C    (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_C    (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
			    SETS_ALL  (OPC_CPX_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CPY_IMM]             SETS_NONE (OPC_CPY_IMM),
			    SETS_Z    (OPC_CPY_IMM),
			    SETS_NONE (OPC_CPY_IMM),
			    SETS_Z    (OPC_CPY_IMM),
			    SETS_N    (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_N    (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_C    (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_C    (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
			    SETS_ALL  (OPC_CPY_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CPY_ZP]              SETS_NONE (OPC_CPY_ZP),
			    SETS_Z    (OPC_CPY_ZP),
			    SETS_NONE (OPC_CPY_ZP),
			    SETS_Z    (OPC_CPY_ZP),
			    SETS_N    (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_N    (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_C    (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_C    (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
			    SETS_ALL  (OPC_CPY_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_CPY_ABS]             SETS_NONE (OPC_CPY_ABS),
			    SETS_Z    (OPC_CPY_ABS),
			    SETS_NONE (OPC_CPY_ABS),
			    SETS_Z    (OPC_CPY_ABS),
			    SETS_N    (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_N    (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_C    (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_C    (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
			    SETS_ALL  (OPC_CPY_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_DEC_ACC]             SETS_NONE (OPC_DEC_ACC),
			    SETS_Z    (OPC_DEC_ACC),
			    SETS_NONE (OPC_DEC_ACC),
			    SETS_Z    (OPC_DEC_ACC),
			    SETS_N    (OPC_DEC_ACC),
			    SETS_ALL  (OPC_DEC_ACC),
			    SETS_N    (OPC_DEC_ACC),
			    SETS_ALL  (OPC_DEC_ACC),
			    SETS_NONE (OPC_DEC_ACC),
			    SETS_Z    (OPC_DEC_ACC),
			    SETS_NONE (OPC_DEC_ACC),
			    SETS_Z    (OPC_DEC_ACC),
			    SETS_N    (OPC_DEC_ACC),
			    SETS_ALL  (OPC_DEC_ACC),
			    SETS_N    (OPC_DEC_ACC),
			    SETS_ALL  (OPC_DEC_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_DEC_ZP]              SETS_NONE (OPC_DEC_ZP),
			    SETS_Z    (OPC_DEC_ZP),
			    SETS_NONE (OPC_DEC_ZP),
			    SETS_Z    (OPC_DEC_ZP),
			    SETS_N    (OPC_DEC_ZP),
			    SETS_ALL  (OPC_DEC_ZP),
			    SETS_N    (OPC_DEC_ZP),
			    SETS_ALL  (OPC_DEC_ZP),
			    SETS_NONE (OPC_DEC_ZP),
			    SETS_Z    (OPC_DEC_ZP),
			    SETS_NONE (OPC_DEC_ZP),
			    SETS_Z    (OPC_DEC_ZP),
			    SETS_N    (OPC_DEC_ZP),
			    SETS_ALL  (OPC_DEC_ZP),
			    SETS_N    (OPC_DEC_ZP),
			    SETS_ALL  (OPC_DEC_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_DEC_ZP_X]            SETS_NONE (OPC_DEC_ZP_X),
			    SETS_Z    (OPC_DEC_ZP_X),
			    SETS_NONE (OPC_DEC_ZP_X),
			    SETS_Z    (OPC_DEC_ZP_X),
			    SETS_N    (OPC_DEC_ZP_X),
			    SETS_ALL  (OPC_DEC_ZP_X),
			    SETS_N    (OPC_DEC_ZP_X),
			    SETS_ALL  (OPC_DEC_ZP_X),
			    SETS_NONE (OPC_DEC_ZP_X),
			    SETS_Z    (OPC_DEC_ZP_X),
			    SETS_NONE (OPC_DEC_ZP_X),
			    SETS_Z    (OPC_DEC_ZP_X),
			    SETS_N    (OPC_DEC_ZP_X),
			    SETS_ALL  (OPC_DEC_ZP_X),
			    SETS_N    (OPC_DEC_ZP_X),
			    SETS_ALL  (OPC_DEC_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_DEC_ABS]             SETS_NONE (OPC_DEC_ABS),
			    SETS_Z    (OPC_DEC_ABS),
			    SETS_NONE (OPC_DEC_ABS),
			    SETS_Z    (OPC_DEC_ABS),
			    SETS_N    (OPC_DEC_ABS),
			    SETS_ALL  (OPC_DEC_ABS),
			    SETS_N    (OPC_DEC_ABS),
			    SETS_ALL  (OPC_DEC_ABS),
			    SETS_NONE (OPC_DEC_ABS),
			    SETS_Z    (OPC_DEC_ABS),
			    SETS_NONE (OPC_DEC_ABS),
			    SETS_Z    (OPC_DEC_ABS),
			    SETS_N    (OPC_DEC_ABS),
			    SETS_ALL  (OPC_DEC_ABS),
			    SETS_N    (OPC_DEC_ABS),
			    SETS_ALL  (OPC_DEC_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_DEC_ABS_X]           SETS_NONE (OPC_DEC_ABS_X),
			    SETS_Z    (OPC_DEC_ABS_X),
			    SETS_NONE (OPC_DEC_ABS_X),
			    SETS_Z    (OPC_DEC_ABS_X),
			    SETS_N    (OPC_DEC_ABS_X),
			    SETS_ALL  (OPC_DEC_ABS_X),
			    SETS_N    (OPC_DEC_ABS_X),
			    SETS_ALL  (OPC_DEC_ABS_X),
			    SETS_NONE (OPC_DEC_ABS_X),
			    SETS_Z    (OPC_DEC_ABS_X),
			    SETS_NONE (OPC_DEC_ABS_X),
			    SETS_Z    (OPC_DEC_ABS_X),
			    SETS_N    (OPC_DEC_ABS_X),
			    SETS_ALL  (OPC_DEC_ABS_X),
			    SETS_N    (OPC_DEC_ABS_X),
			    SETS_ALL  (OPC_DEC_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_DEX]                 SETS_NONE (OPC_DEX),
			    SETS_Z    (OPC_DEX),
			    SETS_NONE (OPC_DEX),
			    SETS_Z    (OPC_DEX),
			    SETS_N    (OPC_DEX),
			    SETS_ALL  (OPC_DEX),
			    SETS_N    (OPC_DEX),
			    SETS_ALL  (OPC_DEX),
			    SETS_NONE (OPC_DEX),
			    SETS_Z    (OPC_DEX),
			    SETS_NONE (OPC_DEX),
			    SETS_Z    (OPC_DEX),
			    SETS_N    (OPC_DEX),
			    SETS_ALL  (OPC_DEX),
			    SETS_N    (OPC_DEX),
			    SETS_ALL  (OPC_DEX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_DEY]                 SETS_NONE (OPC_DEY),
			    SETS_Z    (OPC_DEY),
			    SETS_NONE (OPC_DEY),
			    SETS_Z    (OPC_DEY),
			    SETS_N    (OPC_DEY),
			    SETS_ALL  (OPC_DEY),
			    SETS_N    (OPC_DEY),
			    SETS_ALL  (OPC_DEY),
			    SETS_NONE (OPC_DEY),
			    SETS_Z    (OPC_DEY),
			    SETS_NONE (OPC_DEY),
			    SETS_Z    (OPC_DEY),
			    SETS_N    (OPC_DEY),
			    SETS_ALL  (OPC_DEY),
			    SETS_N    (OPC_DEY),
			    SETS_ALL  (OPC_DEY),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_EOR_IMM]             SETS_NONE (OPC_EOR_IMM),
			    SETS_Z    (OPC_EOR_IMM),
			    SETS_NONE (OPC_EOR_IMM),
			    SETS_Z    (OPC_EOR_IMM),
			    SETS_N    (OPC_EOR_IMM),
			    SETS_ALL  (OPC_EOR_IMM),
			    SETS_N    (OPC_EOR_IMM),
			    SETS_ALL  (OPC_EOR_IMM),
			    SETS_NONE (OPC_EOR_IMM),
			    SETS_Z    (OPC_EOR_IMM),
			    SETS_NONE (OPC_EOR_IMM),
			    SETS_Z    (OPC_EOR_IMM),
			    SETS_N    (OPC_EOR_IMM),
			    SETS_ALL  (OPC_EOR_IMM),
			    SETS_N    (OPC_EOR_IMM),
			    SETS_ALL  (OPC_EOR_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_EOR_ZP]              SETS_NONE (OPC_EOR_ZP),
			    SETS_Z    (OPC_EOR_ZP),
			    SETS_NONE (OPC_EOR_ZP),
			    SETS_Z    (OPC_EOR_ZP),
			    SETS_N    (OPC_EOR_ZP),
			    SETS_ALL  (OPC_EOR_ZP),
			    SETS_N    (OPC_EOR_ZP),
			    SETS_ALL  (OPC_EOR_ZP),
			    SETS_NONE (OPC_EOR_ZP),
			    SETS_Z    (OPC_EOR_ZP),
			    SETS_NONE (OPC_EOR_ZP),
			    SETS_Z    (OPC_EOR_ZP),
			    SETS_N    (OPC_EOR_ZP),
			    SETS_ALL  (OPC_EOR_ZP),
			    SETS_N    (OPC_EOR_ZP),
			    SETS_ALL  (OPC_EOR_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_EOR_ZP_X]            SETS_NONE (OPC_EOR_ZP_X),
			    SETS_Z    (OPC_EOR_ZP_X),
			    SETS_NONE (OPC_EOR_ZP_X),
			    SETS_Z    (OPC_EOR_ZP_X),
			    SETS_N    (OPC_EOR_ZP_X),
			    SETS_ALL  (OPC_EOR_ZP_X),
			    SETS_N    (OPC_EOR_ZP_X),
			    SETS_ALL  (OPC_EOR_ZP_X),
			    SETS_NONE (OPC_EOR_ZP_X),
			    SETS_Z    (OPC_EOR_ZP_X),
			    SETS_NONE (OPC_EOR_ZP_X),
			    SETS_Z    (OPC_EOR_ZP_X),
			    SETS_N    (OPC_EOR_ZP_X),
			    SETS_ALL  (OPC_EOR_ZP_X),
			    SETS_N    (OPC_EOR_ZP_X),
			    SETS_ALL  (OPC_EOR_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_EOR_ABS]             SETS_NONE (OPC_EOR_ABS),
			    SETS_Z    (OPC_EOR_ABS),
			    SETS_NONE (OPC_EOR_ABS),
			    SETS_Z    (OPC_EOR_ABS),
			    SETS_N    (OPC_EOR_ABS),
			    SETS_ALL  (OPC_EOR_ABS),
			    SETS_N    (OPC_EOR_ABS),
			    SETS_ALL  (OPC_EOR_ABS),
			    SETS_NONE (OPC_EOR_ABS),
			    SETS_Z    (OPC_EOR_ABS),
			    SETS_NONE (OPC_EOR_ABS),
			    SETS_Z    (OPC_EOR_ABS),
			    SETS_N    (OPC_EOR_ABS),
			    SETS_ALL  (OPC_EOR_ABS),
			    SETS_N    (OPC_EOR_ABS),
			    SETS_ALL  (OPC_EOR_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_EOR_ABS_X]           SETS_NONE (OPC_EOR_ABS_X),
			    SETS_Z    (OPC_EOR_ABS_X),
			    SETS_NONE (OPC_EOR_ABS_X),
			    SETS_Z    (OPC_EOR_ABS_X),
			    SETS_N    (OPC_EOR_ABS_X),
			    SETS_ALL  (OPC_EOR_ABS_X),
			    SETS_N    (OPC_EOR_ABS_X),
			    SETS_ALL  (OPC_EOR_ABS_X),
			    SETS_NONE (OPC_EOR_ABS_X),
			    SETS_Z    (OPC_EOR_ABS_X),
			    SETS_NONE (OPC_EOR_ABS_X),
			    SETS_Z    (OPC_EOR_ABS_X),
			    SETS_N    (OPC_EOR_ABS_X),
			    SETS_ALL  (OPC_EOR_ABS_X),
			    SETS_N    (OPC_EOR_ABS_X),
			    SETS_ALL  (OPC_EOR_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_EOR_ABS_Y]           SETS_NONE (OPC_EOR_ABS_Y),
			    SETS_Z    (OPC_EOR_ABS_Y),
			    SETS_NONE (OPC_EOR_ABS_Y),
			    SETS_Z    (OPC_EOR_ABS_Y),
			    SETS_N    (OPC_EOR_ABS_Y),
			    SETS_ALL  (OPC_EOR_ABS_Y),
			    SETS_N    (OPC_EOR_ABS_Y),
			    SETS_ALL  (OPC_EOR_ABS_Y),
			    SETS_NONE (OPC_EOR_ABS_Y),
			    SETS_Z    (OPC_EOR_ABS_Y),
			    SETS_NONE (OPC_EOR_ABS_Y),
			    SETS_Z    (OPC_EOR_ABS_Y),
			    SETS_N    (OPC_EOR_ABS_Y),
			    SETS_ALL  (OPC_EOR_ABS_Y),
			    SETS_N    (OPC_EOR_ABS_Y),
			    SETS_ALL  (OPC_EOR_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_EOR_IND]             SETS_NONE (OPC_EOR_IND),
			    SETS_Z    (OPC_EOR_IND),
			    SETS_NONE (OPC_EOR_IND),
			    SETS_Z    (OPC_EOR_IND),
			    SETS_N    (OPC_EOR_IND),
			    SETS_ALL  (OPC_EOR_IND),
			    SETS_N    (OPC_EOR_IND),
			    SETS_ALL  (OPC_EOR_IND),
			    SETS_NONE (OPC_EOR_IND),
			    SETS_Z    (OPC_EOR_IND),
			    SETS_NONE (OPC_EOR_IND),
			    SETS_Z    (OPC_EOR_IND),
			    SETS_N    (OPC_EOR_IND),
			    SETS_ALL  (OPC_EOR_IND),
			    SETS_N    (OPC_EOR_IND),
			    SETS_ALL  (OPC_EOR_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_EOR_IND_X]           SETS_NONE (OPC_EOR_IND_X),
			    SETS_Z    (OPC_EOR_IND_X),
			    SETS_NONE (OPC_EOR_IND_X),
			    SETS_Z    (OPC_EOR_IND_X),
			    SETS_N    (OPC_EOR_IND_X),
			    SETS_ALL  (OPC_EOR_IND_X),
			    SETS_N    (OPC_EOR_IND_X),
			    SETS_ALL  (OPC_EOR_IND_X),
			    SETS_NONE (OPC_EOR_IND_X),
			    SETS_Z    (OPC_EOR_IND_X),
			    SETS_NONE (OPC_EOR_IND_X),
			    SETS_Z    (OPC_EOR_IND_X),
			    SETS_N    (OPC_EOR_IND_X),
			    SETS_ALL  (OPC_EOR_IND_X),
			    SETS_N    (OPC_EOR_IND_X),
			    SETS_ALL  (OPC_EOR_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_EOR_IND_Y]           SETS_NONE (OPC_EOR_IND_Y),
			    SETS_Z    (OPC_EOR_IND_Y),
			    SETS_NONE (OPC_EOR_IND_Y),
			    SETS_Z    (OPC_EOR_IND_Y),
			    SETS_N    (OPC_EOR_IND_Y),
			    SETS_ALL  (OPC_EOR_IND_Y),
			    SETS_N    (OPC_EOR_IND_Y),
			    SETS_ALL  (OPC_EOR_IND_Y),
			    SETS_NONE (OPC_EOR_IND_Y),
			    SETS_Z    (OPC_EOR_IND_Y),
			    SETS_NONE (OPC_EOR_IND_Y),
			    SETS_Z    (OPC_EOR_IND_Y),
			    SETS_N    (OPC_EOR_IND_Y),
			    SETS_ALL  (OPC_EOR_IND_Y),
			    SETS_N    (OPC_EOR_IND_Y),
			    SETS_ALL  (OPC_EOR_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_INC_ZP]              SETS_NONE (OPC_INC_ZP),
			    SETS_Z    (OPC_INC_ZP),
			    SETS_NONE (OPC_INC_ZP),
			    SETS_Z    (OPC_INC_ZP),
			    SETS_N    (OPC_INC_ZP),
			    SETS_ALL  (OPC_INC_ZP),
			    SETS_N    (OPC_INC_ZP),
			    SETS_ALL  (OPC_INC_ZP),
			    SETS_NONE (OPC_INC_ZP),
			    SETS_Z    (OPC_INC_ZP),
			    SETS_NONE (OPC_INC_ZP),
			    SETS_Z    (OPC_INC_ZP),
			    SETS_N    (OPC_INC_ZP),
			    SETS_ALL  (OPC_INC_ZP),
			    SETS_N    (OPC_INC_ZP),
			    SETS_ALL  (OPC_INC_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_INC_ACC]             SETS_NONE (OPC_INC_ACC),
			    SETS_Z    (OPC_INC_ACC),
			    SETS_NONE (OPC_INC_ACC),
			    SETS_Z    (OPC_INC_ACC),
			    SETS_N    (OPC_INC_ACC),
			    SETS_ALL  (OPC_INC_ACC),
			    SETS_N    (OPC_INC_ACC),
			    SETS_ALL  (OPC_INC_ACC),
			    SETS_NONE (OPC_INC_ACC),
			    SETS_Z    (OPC_INC_ACC),
			    SETS_NONE (OPC_INC_ACC),
			    SETS_Z    (OPC_INC_ACC),
			    SETS_N    (OPC_INC_ACC),
			    SETS_ALL  (OPC_INC_ACC),
			    SETS_N    (OPC_INC_ACC),
			    SETS_ALL  (OPC_INC_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_INC_ZP_X]            SETS_NONE (OPC_INC_ZP_X),
			    SETS_Z    (OPC_INC_ZP_X),
			    SETS_NONE (OPC_INC_ZP_X),
			    SETS_Z    (OPC_INC_ZP_X),
			    SETS_N    (OPC_INC_ZP_X),
			    SETS_ALL  (OPC_INC_ZP_X),
			    SETS_N    (OPC_INC_ZP_X),
			    SETS_ALL  (OPC_INC_ZP_X),
			    SETS_NONE (OPC_INC_ZP_X),
			    SETS_Z    (OPC_INC_ZP_X),
			    SETS_NONE (OPC_INC_ZP_X),
			    SETS_Z    (OPC_INC_ZP_X),
			    SETS_N    (OPC_INC_ZP_X),
			    SETS_ALL  (OPC_INC_ZP_X),
			    SETS_N    (OPC_INC_ZP_X),
			    SETS_ALL  (OPC_INC_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_INC_ABS]             SETS_NONE (OPC_INC_ABS),
			    SETS_Z    (OPC_INC_ABS),
			    SETS_NONE (OPC_INC_ABS),
			    SETS_Z    (OPC_INC_ABS),
			    SETS_N    (OPC_INC_ABS),
			    SETS_ALL  (OPC_INC_ABS),
			    SETS_N    (OPC_INC_ABS),
			    SETS_ALL  (OPC_INC_ABS),
			    SETS_NONE (OPC_INC_ABS),
			    SETS_Z    (OPC_INC_ABS),
			    SETS_NONE (OPC_INC_ABS),
			    SETS_Z    (OPC_INC_ABS),
			    SETS_N    (OPC_INC_ABS),
			    SETS_ALL  (OPC_INC_ABS),
			    SETS_N    (OPC_INC_ABS),
			    SETS_ALL  (OPC_INC_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_INC_ABS_X]           SETS_NONE (OPC_INC_ABS_X),
			    SETS_Z    (OPC_INC_ABS_X),
			    SETS_NONE (OPC_INC_ABS_X),
			    SETS_Z    (OPC_INC_ABS_X),
			    SETS_N    (OPC_INC_ABS_X),
			    SETS_ALL  (OPC_INC_ABS_X),
			    SETS_N    (OPC_INC_ABS_X),
			    SETS_ALL  (OPC_INC_ABS_X),
			    SETS_NONE (OPC_INC_ABS_X),
			    SETS_Z    (OPC_INC_ABS_X),
			    SETS_NONE (OPC_INC_ABS_X),
			    SETS_Z    (OPC_INC_ABS_X),
			    SETS_N    (OPC_INC_ABS_X),
			    SETS_ALL  (OPC_INC_ABS_X),
			    SETS_N    (OPC_INC_ABS_X),
			    SETS_ALL  (OPC_INC_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_INX]                 SETS_NONE (OPC_INX),
			    SETS_Z    (OPC_INX),
			    SETS_NONE (OPC_INX),
			    SETS_Z    (OPC_INX),
			    SETS_N    (OPC_INX),
			    SETS_ALL  (OPC_INX),
			    SETS_N    (OPC_INX),
			    SETS_ALL  (OPC_INX),
			    SETS_NONE (OPC_INX),
			    SETS_Z    (OPC_INX),
			    SETS_NONE (OPC_INX),
			    SETS_Z    (OPC_INX),
			    SETS_N    (OPC_INX),
			    SETS_ALL  (OPC_INX),
			    SETS_N    (OPC_INX),
			    SETS_ALL  (OPC_INX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_INY]                 SETS_NONE (OPC_INY),
			    SETS_Z    (OPC_INY),
			    SETS_NONE (OPC_INY),
			    SETS_Z    (OPC_INY),
			    SETS_N    (OPC_INY),
			    SETS_ALL  (OPC_INY),
			    SETS_N    (OPC_INY),
			    SETS_ALL  (OPC_INY),
			    SETS_NONE (OPC_INY),
			    SETS_Z    (OPC_INY),
			    SETS_NONE (OPC_INY),
			    SETS_Z    (OPC_INY),
			    SETS_N    (OPC_INY),
			    SETS_ALL  (OPC_INY),
			    SETS_N    (OPC_INY),
			    SETS_ALL  (OPC_INY),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_JMP_ABS]             REPEAT_16 (&&handle_OPC_JMP_ABS),
                            REPEAT_16 (&&handle_OPC_JMP_ABS_NEWBANK),

  [OPC_JMP_ABSIND]          REPEAT_32 (&&handle_OPC_JMP_ABSIND),

  [OPC_JMP_ABSIND_X]        REPEAT_32 (&&handle_OPC_JMP_ABSIND_X),

  [OPC_JSR]                 REPEAT_16 (&&handle_OPC_JSR),
                            REPEAT_16 (&&handle_OPC_JSR_NEWBANK),

  [OPC_LDA_IMM]             SETS_NONE (OPC_LDA_IMM),
			    SETS_Z    (OPC_LDA_IMM),
			    SETS_NONE (OPC_LDA_IMM),
			    SETS_Z    (OPC_LDA_IMM),
			    SETS_N    (OPC_LDA_IMM),
			    SETS_ALL  (OPC_LDA_IMM),
			    SETS_N    (OPC_LDA_IMM),
			    SETS_ALL  (OPC_LDA_IMM),
			    SETS_NONE (OPC_LDA_IMM),
			    SETS_Z    (OPC_LDA_IMM),
			    SETS_NONE (OPC_LDA_IMM),
			    SETS_Z    (OPC_LDA_IMM),
			    SETS_N    (OPC_LDA_IMM),
			    SETS_ALL  (OPC_LDA_IMM),
			    SETS_N    (OPC_LDA_IMM),
			    SETS_ALL  (OPC_LDA_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDA_ZP]              SETS_NONE (OPC_LDA_ZP),
			    SETS_Z    (OPC_LDA_ZP),
			    SETS_NONE (OPC_LDA_ZP),
			    SETS_Z    (OPC_LDA_ZP),
			    SETS_N    (OPC_LDA_ZP),
			    SETS_ALL  (OPC_LDA_ZP),
			    SETS_N    (OPC_LDA_ZP),
			    SETS_ALL  (OPC_LDA_ZP),
			    SETS_NONE (OPC_LDA_ZP),
			    SETS_Z    (OPC_LDA_ZP),
			    SETS_NONE (OPC_LDA_ZP),
			    SETS_Z    (OPC_LDA_ZP),
			    SETS_N    (OPC_LDA_ZP),
			    SETS_ALL  (OPC_LDA_ZP),
			    SETS_N    (OPC_LDA_ZP),
			    SETS_ALL  (OPC_LDA_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDA_ZP_X]            SETS_NONE (OPC_LDA_ZP_X),
			    SETS_Z    (OPC_LDA_ZP_X),
			    SETS_NONE (OPC_LDA_ZP_X),
			    SETS_Z    (OPC_LDA_ZP_X),
			    SETS_N    (OPC_LDA_ZP_X),
			    SETS_ALL  (OPC_LDA_ZP_X),
			    SETS_N    (OPC_LDA_ZP_X),
			    SETS_ALL  (OPC_LDA_ZP_X),
			    SETS_NONE (OPC_LDA_ZP_X),
			    SETS_Z    (OPC_LDA_ZP_X),
			    SETS_NONE (OPC_LDA_ZP_X),
			    SETS_Z    (OPC_LDA_ZP_X),
			    SETS_N    (OPC_LDA_ZP_X),
			    SETS_ALL  (OPC_LDA_ZP_X),
			    SETS_N    (OPC_LDA_ZP_X),
			    SETS_ALL  (OPC_LDA_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDA_ABS]             SETS_NONE (OPC_LDA_ABS),
			    SETS_Z    (OPC_LDA_ABS),
			    SETS_NONE (OPC_LDA_ABS),
			    SETS_Z    (OPC_LDA_ABS),
			    SETS_N    (OPC_LDA_ABS),
			    SETS_ALL  (OPC_LDA_ABS),
			    SETS_N    (OPC_LDA_ABS),
			    SETS_ALL  (OPC_LDA_ABS),
			    SETS_NONE (OPC_LDA_ABS),
			    SETS_Z    (OPC_LDA_ABS),
			    SETS_NONE (OPC_LDA_ABS),
			    SETS_Z    (OPC_LDA_ABS),
			    SETS_N    (OPC_LDA_ABS),
			    SETS_ALL  (OPC_LDA_ABS),
			    SETS_N    (OPC_LDA_ABS),
			    SETS_ALL  (OPC_LDA_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDA_ABS_X]           SETS_NONE (OPC_LDA_ABS_X),
			    SETS_Z    (OPC_LDA_ABS_X),
			    SETS_NONE (OPC_LDA_ABS_X),
			    SETS_Z    (OPC_LDA_ABS_X),
			    SETS_N    (OPC_LDA_ABS_X),
			    SETS_ALL  (OPC_LDA_ABS_X),
			    SETS_N    (OPC_LDA_ABS_X),
			    SETS_ALL  (OPC_LDA_ABS_X),
			    SETS_NONE (OPC_LDA_ABS_X),
			    SETS_Z    (OPC_LDA_ABS_X),
			    SETS_NONE (OPC_LDA_ABS_X),
			    SETS_Z    (OPC_LDA_ABS_X),
			    SETS_N    (OPC_LDA_ABS_X),
			    SETS_ALL  (OPC_LDA_ABS_X),
			    SETS_N    (OPC_LDA_ABS_X),
			    SETS_ALL  (OPC_LDA_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDA_ABS_Y]           SETS_NONE (OPC_LDA_ABS_Y),
			    SETS_Z    (OPC_LDA_ABS_Y),
			    SETS_NONE (OPC_LDA_ABS_Y),
			    SETS_Z    (OPC_LDA_ABS_Y),
			    SETS_N    (OPC_LDA_ABS_Y),
			    SETS_ALL  (OPC_LDA_ABS_Y),
			    SETS_N    (OPC_LDA_ABS_Y),
			    SETS_ALL  (OPC_LDA_ABS_Y),
			    SETS_NONE (OPC_LDA_ABS_Y),
			    SETS_Z    (OPC_LDA_ABS_Y),
			    SETS_NONE (OPC_LDA_ABS_Y),
			    SETS_Z    (OPC_LDA_ABS_Y),
			    SETS_N    (OPC_LDA_ABS_Y),
			    SETS_ALL  (OPC_LDA_ABS_Y),
			    SETS_N    (OPC_LDA_ABS_Y),
			    SETS_ALL  (OPC_LDA_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDA_IND]             SETS_NONE (OPC_LDA_IND),
			    SETS_Z    (OPC_LDA_IND),
			    SETS_NONE (OPC_LDA_IND),
			    SETS_Z    (OPC_LDA_IND),
			    SETS_N    (OPC_LDA_IND),
			    SETS_ALL  (OPC_LDA_IND),
			    SETS_N    (OPC_LDA_IND),
			    SETS_ALL  (OPC_LDA_IND),
			    SETS_NONE (OPC_LDA_IND),
			    SETS_Z    (OPC_LDA_IND),
			    SETS_NONE (OPC_LDA_IND),
			    SETS_Z    (OPC_LDA_IND),
			    SETS_N    (OPC_LDA_IND),
			    SETS_ALL  (OPC_LDA_IND),
			    SETS_N    (OPC_LDA_IND),
			    SETS_ALL  (OPC_LDA_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDA_IND_X]           SETS_NONE (OPC_LDA_IND_X),
			    SETS_Z    (OPC_LDA_IND_X),
			    SETS_NONE (OPC_LDA_IND_X),
			    SETS_Z    (OPC_LDA_IND_X),
			    SETS_N    (OPC_LDA_IND_X),
			    SETS_ALL  (OPC_LDA_IND_X),
			    SETS_N    (OPC_LDA_IND_X),
			    SETS_ALL  (OPC_LDA_IND_X),
			    SETS_NONE (OPC_LDA_IND_X),
			    SETS_Z    (OPC_LDA_IND_X),
			    SETS_NONE (OPC_LDA_IND_X),
			    SETS_Z    (OPC_LDA_IND_X),
			    SETS_N    (OPC_LDA_IND_X),
			    SETS_ALL  (OPC_LDA_IND_X),
			    SETS_N    (OPC_LDA_IND_X),
			    SETS_ALL  (OPC_LDA_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDA_IND_Y]           SETS_NONE (OPC_LDA_IND_Y),
			    SETS_Z    (OPC_LDA_IND_Y),
			    SETS_NONE (OPC_LDA_IND_Y),
			    SETS_Z    (OPC_LDA_IND_Y),
			    SETS_N    (OPC_LDA_IND_Y),
			    SETS_ALL  (OPC_LDA_IND_Y),
			    SETS_N    (OPC_LDA_IND_Y),
			    SETS_ALL  (OPC_LDA_IND_Y),
			    SETS_NONE (OPC_LDA_IND_Y),
			    SETS_Z    (OPC_LDA_IND_Y),
			    SETS_NONE (OPC_LDA_IND_Y),
			    SETS_Z    (OPC_LDA_IND_Y),
			    SETS_N    (OPC_LDA_IND_Y),
			    SETS_ALL  (OPC_LDA_IND_Y),
			    SETS_N    (OPC_LDA_IND_Y),
			    SETS_ALL  (OPC_LDA_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDX_IMM]             SETS_NONE (OPC_LDX_IMM),
			    SETS_Z    (OPC_LDX_IMM),
			    SETS_NONE (OPC_LDX_IMM),
			    SETS_Z    (OPC_LDX_IMM),
			    SETS_N    (OPC_LDX_IMM),
			    SETS_ALL  (OPC_LDX_IMM),
			    SETS_N    (OPC_LDX_IMM),
			    SETS_ALL  (OPC_LDX_IMM),
			    SETS_NONE (OPC_LDX_IMM),
			    SETS_Z    (OPC_LDX_IMM),
			    SETS_NONE (OPC_LDX_IMM),
			    SETS_Z    (OPC_LDX_IMM),
			    SETS_N    (OPC_LDX_IMM),
			    SETS_ALL  (OPC_LDX_IMM),
			    SETS_N    (OPC_LDX_IMM),
			    SETS_ALL  (OPC_LDX_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDX_ZP]              SETS_NONE (OPC_LDX_ZP),
			    SETS_Z    (OPC_LDX_ZP),
			    SETS_NONE (OPC_LDX_ZP),
			    SETS_Z    (OPC_LDX_ZP),
			    SETS_N    (OPC_LDX_ZP),
			    SETS_ALL  (OPC_LDX_ZP),
			    SETS_N    (OPC_LDX_ZP),
			    SETS_ALL  (OPC_LDX_ZP),
			    SETS_NONE (OPC_LDX_ZP),
			    SETS_Z    (OPC_LDX_ZP),
			    SETS_NONE (OPC_LDX_ZP),
			    SETS_Z    (OPC_LDX_ZP),
			    SETS_N    (OPC_LDX_ZP),
			    SETS_ALL  (OPC_LDX_ZP),
			    SETS_N    (OPC_LDX_ZP),
			    SETS_ALL  (OPC_LDX_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDX_ZP_Y]            SETS_NONE (OPC_LDX_ZP_Y),
			    SETS_Z    (OPC_LDX_ZP_Y),
			    SETS_NONE (OPC_LDX_ZP_Y),
			    SETS_Z    (OPC_LDX_ZP_Y),
			    SETS_N    (OPC_LDX_ZP_Y),
			    SETS_ALL  (OPC_LDX_ZP_Y),
			    SETS_N    (OPC_LDX_ZP_Y),
			    SETS_ALL  (OPC_LDX_ZP_Y),
			    SETS_NONE (OPC_LDX_ZP_Y),
			    SETS_Z    (OPC_LDX_ZP_Y),
			    SETS_NONE (OPC_LDX_ZP_Y),
			    SETS_Z    (OPC_LDX_ZP_Y),
			    SETS_N    (OPC_LDX_ZP_Y),
			    SETS_ALL  (OPC_LDX_ZP_Y),
			    SETS_N    (OPC_LDX_ZP_Y),
			    SETS_ALL  (OPC_LDX_ZP_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDX_ABS]             SETS_NONE (OPC_LDX_ABS),
			    SETS_Z    (OPC_LDX_ABS),
			    SETS_NONE (OPC_LDX_ABS),
			    SETS_Z    (OPC_LDX_ABS),
			    SETS_N    (OPC_LDX_ABS),
			    SETS_ALL  (OPC_LDX_ABS),
			    SETS_N    (OPC_LDX_ABS),
			    SETS_ALL  (OPC_LDX_ABS),
			    SETS_NONE (OPC_LDX_ABS),
			    SETS_Z    (OPC_LDX_ABS),
			    SETS_NONE (OPC_LDX_ABS),
			    SETS_Z    (OPC_LDX_ABS),
			    SETS_N    (OPC_LDX_ABS),
			    SETS_ALL  (OPC_LDX_ABS),
			    SETS_N    (OPC_LDX_ABS),
			    SETS_ALL  (OPC_LDX_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDX_ABS_Y]           SETS_NONE (OPC_LDX_ABS_Y),
			    SETS_Z    (OPC_LDX_ABS_Y),
			    SETS_NONE (OPC_LDX_ABS_Y),
			    SETS_Z    (OPC_LDX_ABS_Y),
			    SETS_N    (OPC_LDX_ABS_Y),
			    SETS_ALL  (OPC_LDX_ABS_Y),
			    SETS_N    (OPC_LDX_ABS_Y),
			    SETS_ALL  (OPC_LDX_ABS_Y),
			    SETS_NONE (OPC_LDX_ABS_Y),
			    SETS_Z    (OPC_LDX_ABS_Y),
			    SETS_NONE (OPC_LDX_ABS_Y),
			    SETS_Z    (OPC_LDX_ABS_Y),
			    SETS_N    (OPC_LDX_ABS_Y),
			    SETS_ALL  (OPC_LDX_ABS_Y),
			    SETS_N    (OPC_LDX_ABS_Y),
			    SETS_ALL  (OPC_LDX_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDY_IMM]             SETS_NONE (OPC_LDY_IMM),
			    SETS_Z    (OPC_LDY_IMM),
			    SETS_NONE (OPC_LDY_IMM),
			    SETS_Z    (OPC_LDY_IMM),
			    SETS_N    (OPC_LDY_IMM),
			    SETS_ALL  (OPC_LDY_IMM),
			    SETS_N    (OPC_LDY_IMM),
			    SETS_ALL  (OPC_LDY_IMM),
			    SETS_NONE (OPC_LDY_IMM),
			    SETS_Z    (OPC_LDY_IMM),
			    SETS_NONE (OPC_LDY_IMM),
			    SETS_Z    (OPC_LDY_IMM),
			    SETS_N    (OPC_LDY_IMM),
			    SETS_ALL  (OPC_LDY_IMM),
			    SETS_N    (OPC_LDY_IMM),
			    SETS_ALL  (OPC_LDY_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDY_ZP]              SETS_NONE (OPC_LDY_ZP),
			    SETS_Z    (OPC_LDY_ZP),
			    SETS_NONE (OPC_LDY_ZP),
			    SETS_Z    (OPC_LDY_ZP),
			    SETS_N    (OPC_LDY_ZP),
			    SETS_ALL  (OPC_LDY_ZP),
			    SETS_N    (OPC_LDY_ZP),
			    SETS_ALL  (OPC_LDY_ZP),
			    SETS_NONE (OPC_LDY_ZP),
			    SETS_Z    (OPC_LDY_ZP),
			    SETS_NONE (OPC_LDY_ZP),
			    SETS_Z    (OPC_LDY_ZP),
			    SETS_N    (OPC_LDY_ZP),
			    SETS_ALL  (OPC_LDY_ZP),
			    SETS_N    (OPC_LDY_ZP),
			    SETS_ALL  (OPC_LDY_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDY_ZP_X]            SETS_NONE (OPC_LDY_ZP_X),
			    SETS_Z    (OPC_LDY_ZP_X),
			    SETS_NONE (OPC_LDY_ZP_X),
			    SETS_Z    (OPC_LDY_ZP_X),
			    SETS_N    (OPC_LDY_ZP_X),
			    SETS_ALL  (OPC_LDY_ZP_X),
			    SETS_N    (OPC_LDY_ZP_X),
			    SETS_ALL  (OPC_LDY_ZP_X),
			    SETS_NONE (OPC_LDY_ZP_X),
			    SETS_Z    (OPC_LDY_ZP_X),
			    SETS_NONE (OPC_LDY_ZP_X),
			    SETS_Z    (OPC_LDY_ZP_X),
			    SETS_N    (OPC_LDY_ZP_X),
			    SETS_ALL  (OPC_LDY_ZP_X),
			    SETS_N    (OPC_LDY_ZP_X),
			    SETS_ALL  (OPC_LDY_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LDY_ABS]             SETS_NONE (OPC_LDY_ABS),
			    SETS_Z    (OPC_LDY_ABS),
			    SETS_NONE (OPC_LDY_ABS),
			    SETS_Z    (OPC_LDY_ABS),
			    SETS_N    (OPC_LDY_ABS),
			    SETS_ALL  (OPC_LDY_ABS),
			    SETS_N    (OPC_LDY_ABS),
			    SETS_ALL  (OPC_LDY_ABS),
			    SETS_NONE (OPC_LDY_ABS),
			    SETS_Z    (OPC_LDY_ABS),
			    SETS_NONE (OPC_LDY_ABS),
			    SETS_Z    (OPC_LDY_ABS),
			    SETS_N    (OPC_LDY_ABS),
			    SETS_ALL  (OPC_LDY_ABS),
			    SETS_N    (OPC_LDY_ABS),
			    SETS_ALL  (OPC_LDY_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDY_ABS_X]           SETS_NONE (OPC_LDY_ABS_X),
			    SETS_Z    (OPC_LDY_ABS_X),
			    SETS_NONE (OPC_LDY_ABS_X),
			    SETS_Z    (OPC_LDY_ABS_X),
			    SETS_N    (OPC_LDY_ABS_X),
			    SETS_ALL  (OPC_LDY_ABS_X),
			    SETS_N    (OPC_LDY_ABS_X),
			    SETS_ALL  (OPC_LDY_ABS_X),
			    SETS_NONE (OPC_LDY_ABS_X),
			    SETS_Z    (OPC_LDY_ABS_X),
			    SETS_NONE (OPC_LDY_ABS_X),
			    SETS_Z    (OPC_LDY_ABS_X),
			    SETS_N    (OPC_LDY_ABS_X),
			    SETS_ALL  (OPC_LDY_ABS_X),
			    SETS_N    (OPC_LDY_ABS_X),
			    SETS_ALL  (OPC_LDY_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LSR_ACC]             SETS_NONE (OPC_LSR_ACC),
			    SETS_Z    (OPC_LSR_ACC),
			    SETS_NONE (OPC_LSR_ACC),
			    SETS_Z    (OPC_LSR_ACC),
			    SETS_N    (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_N    (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_C    (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_C    (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
			    SETS_ALL  (OPC_LSR_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_LSR_ZP]              SETS_NONE (OPC_LSR_ZP),
			    SETS_Z    (OPC_LSR_ZP),
			    SETS_NONE (OPC_LSR_ZP),
			    SETS_Z    (OPC_LSR_ZP),
			    SETS_N    (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_N    (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_C    (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_C    (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
			    SETS_ALL  (OPC_LSR_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LSR_ZP_X]            SETS_NONE (OPC_LSR_ZP_X),
			    SETS_Z    (OPC_LSR_ZP_X),
			    SETS_NONE (OPC_LSR_ZP_X),
			    SETS_Z    (OPC_LSR_ZP_X),
			    SETS_N    (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_N    (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_C    (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_C    (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
			    SETS_ALL  (OPC_LSR_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_LSR_ABS]             SETS_NONE (OPC_LSR_ABS),
			    SETS_Z    (OPC_LSR_ABS),
			    SETS_NONE (OPC_LSR_ABS),
			    SETS_Z    (OPC_LSR_ABS),
			    SETS_N    (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_N    (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_C    (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_C    (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
			    SETS_ALL  (OPC_LSR_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LSR_ABS_X]           SETS_NONE (OPC_LSR_ABS_X),
			    SETS_Z    (OPC_LSR_ABS_X),
			    SETS_NONE (OPC_LSR_ABS_X),
			    SETS_Z    (OPC_LSR_ABS_X),
			    SETS_N    (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_N    (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_C    (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_C    (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
			    SETS_ALL  (OPC_LSR_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_NOP]                 REPEAT_16 (&&handle_OPC_NOP),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_OR_IMM]              SETS_NONE (OPC_OR_IMM),
			    SETS_Z    (OPC_OR_IMM),
			    SETS_NONE (OPC_OR_IMM),
			    SETS_Z    (OPC_OR_IMM),
			    SETS_N    (OPC_OR_IMM),
			    SETS_ALL  (OPC_OR_IMM),
			    SETS_N    (OPC_OR_IMM),
			    SETS_ALL  (OPC_OR_IMM),
			    SETS_NONE (OPC_OR_IMM),
			    SETS_Z    (OPC_OR_IMM),
			    SETS_NONE (OPC_OR_IMM),
			    SETS_Z    (OPC_OR_IMM),
			    SETS_N    (OPC_OR_IMM),
			    SETS_ALL  (OPC_OR_IMM),
			    SETS_N    (OPC_OR_IMM),
			    SETS_ALL  (OPC_OR_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_OR_ZP]               SETS_NONE (OPC_OR_ZP),
			    SETS_Z    (OPC_OR_ZP),
			    SETS_NONE (OPC_OR_ZP),
			    SETS_Z    (OPC_OR_ZP),
			    SETS_N    (OPC_OR_ZP),
			    SETS_ALL  (OPC_OR_ZP),
			    SETS_N    (OPC_OR_ZP),
			    SETS_ALL  (OPC_OR_ZP),
			    SETS_NONE (OPC_OR_ZP),
			    SETS_Z    (OPC_OR_ZP),
			    SETS_NONE (OPC_OR_ZP),
			    SETS_Z    (OPC_OR_ZP),
			    SETS_N    (OPC_OR_ZP),
			    SETS_ALL  (OPC_OR_ZP),
			    SETS_N    (OPC_OR_ZP),
			    SETS_ALL  (OPC_OR_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_OR_ZP_X]             SETS_NONE (OPC_OR_ZP_X),
			    SETS_Z    (OPC_OR_ZP_X),
			    SETS_NONE (OPC_OR_ZP_X),
			    SETS_Z    (OPC_OR_ZP_X),
			    SETS_N    (OPC_OR_ZP_X),
			    SETS_ALL  (OPC_OR_ZP_X),
			    SETS_N    (OPC_OR_ZP_X),
			    SETS_ALL  (OPC_OR_ZP_X),
			    SETS_NONE (OPC_OR_ZP_X),
			    SETS_Z    (OPC_OR_ZP_X),
			    SETS_NONE (OPC_OR_ZP_X),
			    SETS_Z    (OPC_OR_ZP_X),
			    SETS_N    (OPC_OR_ZP_X),
			    SETS_ALL  (OPC_OR_ZP_X),
			    SETS_N    (OPC_OR_ZP_X),
			    SETS_ALL  (OPC_OR_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_OR_ABS]              SETS_NONE (OPC_OR_ABS),
			    SETS_Z    (OPC_OR_ABS),
			    SETS_NONE (OPC_OR_ABS),
			    SETS_Z    (OPC_OR_ABS),
			    SETS_N    (OPC_OR_ABS),
			    SETS_ALL  (OPC_OR_ABS),
			    SETS_N    (OPC_OR_ABS),
			    SETS_ALL  (OPC_OR_ABS),
			    SETS_NONE (OPC_OR_ABS),
			    SETS_Z    (OPC_OR_ABS),
			    SETS_NONE (OPC_OR_ABS),
			    SETS_Z    (OPC_OR_ABS),
			    SETS_N    (OPC_OR_ABS),
			    SETS_ALL  (OPC_OR_ABS),
			    SETS_N    (OPC_OR_ABS),
			    SETS_ALL  (OPC_OR_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_OR_ABS_X]            SETS_NONE (OPC_OR_ABS_X),
			    SETS_Z    (OPC_OR_ABS_X),
			    SETS_NONE (OPC_OR_ABS_X),
			    SETS_Z    (OPC_OR_ABS_X),
			    SETS_N    (OPC_OR_ABS_X),
			    SETS_ALL  (OPC_OR_ABS_X),
			    SETS_N    (OPC_OR_ABS_X),
			    SETS_ALL  (OPC_OR_ABS_X),
			    SETS_NONE (OPC_OR_ABS_X),
			    SETS_Z    (OPC_OR_ABS_X),
			    SETS_NONE (OPC_OR_ABS_X),
			    SETS_Z    (OPC_OR_ABS_X),
			    SETS_N    (OPC_OR_ABS_X),
			    SETS_ALL  (OPC_OR_ABS_X),
			    SETS_N    (OPC_OR_ABS_X),
			    SETS_ALL  (OPC_OR_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_OR_ABS_Y]            SETS_NONE (OPC_OR_ABS_Y),
			    SETS_Z    (OPC_OR_ABS_Y),
			    SETS_NONE (OPC_OR_ABS_Y),
			    SETS_Z    (OPC_OR_ABS_Y),
			    SETS_N    (OPC_OR_ABS_Y),
			    SETS_ALL  (OPC_OR_ABS_Y),
			    SETS_N    (OPC_OR_ABS_Y),
			    SETS_ALL  (OPC_OR_ABS_Y),
			    SETS_NONE (OPC_OR_ABS_Y),
			    SETS_Z    (OPC_OR_ABS_Y),
			    SETS_NONE (OPC_OR_ABS_Y),
			    SETS_Z    (OPC_OR_ABS_Y),
			    SETS_N    (OPC_OR_ABS_Y),
			    SETS_ALL  (OPC_OR_ABS_Y),
			    SETS_N    (OPC_OR_ABS_Y),
			    SETS_ALL  (OPC_OR_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_OR_IND]              SETS_NONE (OPC_OR_IND),
			    SETS_Z    (OPC_OR_IND),
			    SETS_NONE (OPC_OR_IND),
			    SETS_Z    (OPC_OR_IND),
			    SETS_N    (OPC_OR_IND),
			    SETS_ALL  (OPC_OR_IND),
			    SETS_N    (OPC_OR_IND),
			    SETS_ALL  (OPC_OR_IND),
			    SETS_NONE (OPC_OR_IND),
			    SETS_Z    (OPC_OR_IND),
			    SETS_NONE (OPC_OR_IND),
			    SETS_Z    (OPC_OR_IND),
			    SETS_N    (OPC_OR_IND),
			    SETS_ALL  (OPC_OR_IND),
			    SETS_N    (OPC_OR_IND),
			    SETS_ALL  (OPC_OR_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_OR_IND_X]            SETS_NONE (OPC_OR_IND_X),
			    SETS_Z    (OPC_OR_IND_X),
			    SETS_NONE (OPC_OR_IND_X),
			    SETS_Z    (OPC_OR_IND_X),
			    SETS_N    (OPC_OR_IND_X),
			    SETS_ALL  (OPC_OR_IND_X),
			    SETS_N    (OPC_OR_IND_X),
			    SETS_ALL  (OPC_OR_IND_X),
			    SETS_NONE (OPC_OR_IND_X),
			    SETS_Z    (OPC_OR_IND_X),
			    SETS_NONE (OPC_OR_IND_X),
			    SETS_Z    (OPC_OR_IND_X),
			    SETS_N    (OPC_OR_IND_X),
			    SETS_ALL  (OPC_OR_IND_X),
			    SETS_N    (OPC_OR_IND_X),
			    SETS_ALL  (OPC_OR_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_OR_IND_Y]            SETS_NONE (OPC_OR_IND_Y),
			    SETS_Z    (OPC_OR_IND_Y),
			    SETS_NONE (OPC_OR_IND_Y),
			    SETS_Z    (OPC_OR_IND_Y),
			    SETS_N    (OPC_OR_IND_Y),
			    SETS_ALL  (OPC_OR_IND_Y),
			    SETS_N    (OPC_OR_IND_Y),
			    SETS_ALL  (OPC_OR_IND_Y),
			    SETS_NONE (OPC_OR_IND_Y),
			    SETS_Z    (OPC_OR_IND_Y),
			    SETS_NONE (OPC_OR_IND_Y),
			    SETS_Z    (OPC_OR_IND_Y),
			    SETS_N    (OPC_OR_IND_Y),
			    SETS_ALL  (OPC_OR_IND_Y),
			    SETS_N    (OPC_OR_IND_Y),
			    SETS_ALL  (OPC_OR_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_PHA]                 REPEAT_16 (&&handle_OPC_PHA),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PHX]                 REPEAT_16 (&&handle_OPC_PHX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PHY]                 REPEAT_16 (&&handle_OPC_PHY),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PLX]                 SETS_NONE (OPC_PLX),
			    SETS_Z    (OPC_PLX),
			    SETS_NONE (OPC_PLX),
			    SETS_Z    (OPC_PLX),
			    SETS_N    (OPC_PLX),
			    SETS_ALL  (OPC_PLX),
			    SETS_N    (OPC_PLX),
			    SETS_ALL  (OPC_PLX),
			    SETS_NONE (OPC_PLX),
			    SETS_Z    (OPC_PLX),
			    SETS_NONE (OPC_PLX),
			    SETS_Z    (OPC_PLX),
			    SETS_N    (OPC_PLX),
			    SETS_ALL  (OPC_PLX),
			    SETS_N    (OPC_PLX),
			    SETS_ALL  (OPC_PLX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PLY]                 SETS_NONE (OPC_PLY),
			    SETS_Z    (OPC_PLY),
			    SETS_NONE (OPC_PLY),
			    SETS_Z    (OPC_PLY),
			    SETS_N    (OPC_PLY),
			    SETS_ALL  (OPC_PLY),
			    SETS_N    (OPC_PLY),
			    SETS_ALL  (OPC_PLY),
			    SETS_NONE (OPC_PLY),
			    SETS_Z    (OPC_PLY),
			    SETS_NONE (OPC_PLY),
			    SETS_Z    (OPC_PLY),
			    SETS_N    (OPC_PLY),
			    SETS_ALL  (OPC_PLY),
			    SETS_N    (OPC_PLY),
			    SETS_ALL  (OPC_PLY),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PHP]                 REPEAT_16 (&&handle_OPC_PHP),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PLA]                 SETS_NONE (OPC_PLA),
			    SETS_Z    (OPC_PLA),
			    SETS_NONE (OPC_PLA),
			    SETS_Z    (OPC_PLA),
			    SETS_N    (OPC_PLA),
			    SETS_ALL  (OPC_PLA),
			    SETS_N    (OPC_PLA),
			    SETS_ALL  (OPC_PLA),
			    SETS_NONE (OPC_PLA),
			    SETS_Z    (OPC_PLA),
			    SETS_NONE (OPC_PLA),
			    SETS_Z    (OPC_PLA),
			    SETS_N    (OPC_PLA),
			    SETS_ALL  (OPC_PLA),
			    SETS_N    (OPC_PLA),
			    SETS_ALL  (OPC_PLA),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_PLP]                 SETS_NONE (OPC_PLP),
			    SETS_Z    (OPC_PLP),
			    SETS_V    (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_N    (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_C    (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
			    SETS_ALL  (OPC_PLP),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_ROL_ACC]             SETS_NONE (OPC_ROL_ACC),
			    SETS_Z    (OPC_ROL_ACC),
			    SETS_NONE (OPC_ROL_ACC),
			    SETS_Z    (OPC_ROL_ACC),
			    SETS_N    (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_N    (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_C    (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_C    (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
			    SETS_ALL  (OPC_ROL_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_ROL_ZP]              SETS_NONE (OPC_ROL_ZP),
			    SETS_Z    (OPC_ROL_ZP),
			    SETS_NONE (OPC_ROL_ZP),
			    SETS_Z    (OPC_ROL_ZP),
			    SETS_N    (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_N    (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_C    (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_C    (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
			    SETS_ALL  (OPC_ROL_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ROL_ZP_X]            SETS_NONE (OPC_ROL_ZP_X),
			    SETS_Z    (OPC_ROL_ZP_X),
			    SETS_NONE (OPC_ROL_ZP_X),
			    SETS_Z    (OPC_ROL_ZP_X),
			    SETS_N    (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_N    (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_C    (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_C    (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
			    SETS_ALL  (OPC_ROL_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ROL_ABS]             SETS_NONE (OPC_ROL_ABS),
			    SETS_Z    (OPC_ROL_ABS),
			    SETS_NONE (OPC_ROL_ABS),
			    SETS_Z    (OPC_ROL_ABS),
			    SETS_N    (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_N    (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_C    (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_C    (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
			    SETS_ALL  (OPC_ROL_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ROL_ABS_X]           SETS_NONE (OPC_ROL_ABS_X),
			    SETS_Z    (OPC_ROL_ABS_X),
			    SETS_NONE (OPC_ROL_ABS_X),
			    SETS_Z    (OPC_ROL_ABS_X),
			    SETS_N    (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_N    (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_C    (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_C    (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
			    SETS_ALL  (OPC_ROL_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ROR_ACC]             SETS_NONE (OPC_ROR_ACC),
			    SETS_Z    (OPC_ROR_ACC),
			    SETS_NONE (OPC_ROR_ACC),
			    SETS_Z    (OPC_ROR_ACC),
			    SETS_N    (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_N    (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_C    (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_C    (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
			    SETS_ALL  (OPC_ROR_ACC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_ROR_ZP]              SETS_NONE (OPC_ROR_ZP),
			    SETS_Z    (OPC_ROR_ZP),
			    SETS_NONE (OPC_ROR_ZP),
			    SETS_Z    (OPC_ROR_ZP),
			    SETS_N    (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_N    (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_C    (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_C    (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
			    SETS_ALL  (OPC_ROR_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ROR_ZP_X]            SETS_NONE (OPC_ROR_ZP_X),
			    SETS_Z    (OPC_ROR_ZP_X),
			    SETS_NONE (OPC_ROR_ZP_X),
			    SETS_Z    (OPC_ROR_ZP_X),
			    SETS_N    (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_N    (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_C    (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_C    (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
			    SETS_ALL  (OPC_ROR_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_ROR_ABS]             SETS_NONE (OPC_ROR_ABS),
			    SETS_Z    (OPC_ROR_ABS),
			    SETS_NONE (OPC_ROR_ABS),
			    SETS_Z    (OPC_ROR_ABS),
			    SETS_N    (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_N    (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_C    (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_C    (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
			    SETS_ALL  (OPC_ROR_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ROR_ABS_X]           SETS_NONE (OPC_ROR_ABS_X),
			    SETS_Z    (OPC_ROR_ABS_X),
			    SETS_NONE (OPC_ROR_ABS_X),
			    SETS_Z    (OPC_ROR_ABS_X),
			    SETS_N    (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_N    (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_C    (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_C    (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
			    SETS_ALL  (OPC_ROR_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_RTI]                 REPEAT_32 (&&handle_OPC_RTI),

  [OPC_RTS]                 REPEAT_32 (&&handle_OPC_RTS),

  [OPC_SBC_IMM]             SETS_NONE (OPC_SBC_IMM),
			    SETS_Z    (OPC_SBC_IMM),
			    SETS_V    (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_N    (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_C    (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
			    SETS_ALL  (OPC_SBC_IMM),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SBC_ZP]              SETS_NONE (OPC_SBC_ZP),
			    SETS_Z    (OPC_SBC_ZP),
			    SETS_V    (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_N    (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_C    (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
			    SETS_ALL  (OPC_SBC_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SBC_ZP_X]            SETS_NONE (OPC_SBC_ZP_X),
			    SETS_Z    (OPC_SBC_ZP_X),
			    SETS_V    (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_N    (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_C    (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
			    SETS_ALL  (OPC_SBC_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SBC_ABS]             SETS_NONE (OPC_SBC_ABS),
			    SETS_Z    (OPC_SBC_ABS),
			    SETS_V    (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_N    (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_C    (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
			    SETS_ALL  (OPC_SBC_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBC_ABS_X]           SETS_NONE (OPC_SBC_ABS_X),
			    SETS_Z    (OPC_SBC_ABS_X),
			    SETS_V    (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_N    (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_C    (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
			    SETS_ALL  (OPC_SBC_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBC_ABS_Y]           SETS_NONE (OPC_SBC_ABS_Y),
			    SETS_Z    (OPC_SBC_ABS_Y),
			    SETS_V    (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_N    (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_C    (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
			    SETS_ALL  (OPC_SBC_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBC_IND]             SETS_NONE (OPC_SBC_IND),
			    SETS_Z    (OPC_SBC_IND),
			    SETS_V    (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_N    (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_C    (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
			    SETS_ALL  (OPC_SBC_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SBC_IND_X]           SETS_NONE (OPC_SBC_IND_X),
			    SETS_Z    (OPC_SBC_IND_X),
			    SETS_V    (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_N    (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_C    (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
			    SETS_ALL  (OPC_SBC_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SBC_IND_Y]           SETS_NONE (OPC_SBC_IND_Y),
			    SETS_Z    (OPC_SBC_IND_Y),
			    SETS_V    (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_N    (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_C    (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
			    SETS_ALL  (OPC_SBC_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_SEC]                 REPEAT_16 (&&handle_OPC_SEC),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_SED]                 REPEAT_16 (&&handle_OPC_SED),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_SEI]                 REPEAT_16 (&&handle_OPC_SEI),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_STA_ZP]              REPEAT_16 (&&handle_OPC_STA_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STA_ZP_X]            REPEAT_16 (&&handle_OPC_STA_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STA_ABS]             REPEAT_16 (&&handle_OPC_STA_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STA_ABS_X]           REPEAT_16 (&&handle_OPC_STA_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STA_ABS_Y]           REPEAT_16 (&&handle_OPC_STA_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STA_IND]             REPEAT_16 (&&handle_OPC_STA_IND),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STA_IND_X]           REPEAT_16 (&&handle_OPC_STA_IND_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STA_IND_Y]           REPEAT_16 (&&handle_OPC_STA_IND_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STX_ZP]              REPEAT_16 (&&handle_OPC_STX_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STX_ZP_Y]            REPEAT_16 (&&handle_OPC_STX_ZP_Y),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STX_ABS]             REPEAT_16 (&&handle_OPC_STX_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STY_ZP]              REPEAT_16 (&&handle_OPC_STY_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STY_ZP_X]            REPEAT_16 (&&handle_OPC_STY_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STY_ABS]             REPEAT_16 (&&handle_OPC_STY_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STZ_ZP]              REPEAT_16 (&&handle_OPC_STZ_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STZ_ZP_X]            REPEAT_16 (&&handle_OPC_STZ_ZP_X),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_STZ_ABS]             REPEAT_16 (&&handle_OPC_STZ_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_STZ_ABS_X]           REPEAT_16 (&&handle_OPC_STZ_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_TAX]                 SETS_NONE (OPC_TAX),
			    SETS_Z    (OPC_TAX),
			    SETS_NONE (OPC_TAX),
			    SETS_Z    (OPC_TAX),
			    SETS_N    (OPC_TAX),
			    SETS_ALL  (OPC_TAX),
			    SETS_N    (OPC_TAX),
			    SETS_ALL  (OPC_TAX),
			    SETS_NONE (OPC_TAX),
			    SETS_Z    (OPC_TAX),
			    SETS_NONE (OPC_TAX),
			    SETS_Z    (OPC_TAX),
			    SETS_N    (OPC_TAX),
			    SETS_ALL  (OPC_TAX),
			    SETS_N    (OPC_TAX),
			    SETS_ALL  (OPC_TAX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TAY]                 SETS_NONE (OPC_TAY),
			    SETS_Z    (OPC_TAY),
			    SETS_NONE (OPC_TAY),
			    SETS_Z    (OPC_TAY),
			    SETS_N    (OPC_TAY),
			    SETS_ALL  (OPC_TAY),
			    SETS_N    (OPC_TAY),
			    SETS_ALL  (OPC_TAY),
			    SETS_NONE (OPC_TAY),
			    SETS_Z    (OPC_TAY),
			    SETS_NONE (OPC_TAY),
			    SETS_Z    (OPC_TAY),
			    SETS_N    (OPC_TAY),
			    SETS_ALL  (OPC_TAY),
			    SETS_N    (OPC_TAY),
			    SETS_ALL  (OPC_TAY),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TRB_ZP]              SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
			    SETS_NONE (OPC_TRB_ZP),
			    SETS_ALL  (OPC_TRB_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_TRB_ABS]             SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
			    SETS_NONE (OPC_TRB_ABS),
			    SETS_ALL  (OPC_TRB_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_TSB_ZP]              SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
			    SETS_NONE (OPC_TSB_ZP),
			    SETS_ALL  (OPC_TSB_ZP),
                            REPEAT_16 (&&newbank_pc_plus2),

  [OPC_TSB_ABS]             SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
			    SETS_NONE (OPC_TSB_ABS),
			    SETS_ALL  (OPC_TSB_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_TSX]                 SETS_NONE (OPC_TSX),
			    SETS_Z    (OPC_TSX),
			    SETS_NONE (OPC_TSX),
			    SETS_Z    (OPC_TSX),
			    SETS_N    (OPC_TSX),
			    SETS_ALL  (OPC_TSX),
			    SETS_N    (OPC_TSX),
			    SETS_ALL  (OPC_TSX),
			    SETS_NONE (OPC_TSX),
			    SETS_Z    (OPC_TSX),
			    SETS_NONE (OPC_TSX),
			    SETS_Z    (OPC_TSX),
			    SETS_N    (OPC_TSX),
			    SETS_ALL  (OPC_TSX),
			    SETS_N    (OPC_TSX),
			    SETS_ALL  (OPC_TSX),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TXA]                 SETS_NONE (OPC_TXA),
			    SETS_Z    (OPC_TXA),
			    SETS_NONE (OPC_TXA),
			    SETS_Z    (OPC_TXA),
			    SETS_N    (OPC_TXA),
			    SETS_ALL  (OPC_TXA),
			    SETS_N    (OPC_TXA),
			    SETS_ALL  (OPC_TXA),
			    SETS_NONE (OPC_TXA),
			    SETS_Z    (OPC_TXA),
			    SETS_NONE (OPC_TXA),
			    SETS_Z    (OPC_TXA),
			    SETS_N    (OPC_TXA),
			    SETS_ALL  (OPC_TXA),
			    SETS_N    (OPC_TXA),
			    SETS_ALL  (OPC_TXA),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TXS]                 REPEAT_16 (&&handle_OPC_TXS),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TYA]                 SETS_NONE (OPC_TYA),
			    SETS_Z    (OPC_TYA),
			    SETS_NONE (OPC_TYA),
			    SETS_Z    (OPC_TYA),
			    SETS_N    (OPC_TYA),
			    SETS_ALL  (OPC_TYA),
			    SETS_N    (OPC_TYA),
			    SETS_ALL  (OPC_TYA),
			    SETS_NONE (OPC_TYA),
			    SETS_Z    (OPC_TYA),
			    SETS_NONE (OPC_TYA),
			    SETS_Z    (OPC_TYA),
			    SETS_N    (OPC_TYA),
			    SETS_ALL  (OPC_TYA),
			    SETS_N    (OPC_TYA),
			    SETS_ALL  (OPC_TYA),
                            REPEAT_16 (&&newbank_pc_plus1),

  [OPC_TRAPTHIS]            REPEAT_32 (&&handle_OPC_TRAPTHIS),

  [OPC_CARDTRAP]            REPEAT_32 (&&handle_OPC_CARDTRAP),

  [OPC_LDASAFE_ABS]         SETS_NONE (OPC_LDASAFE_ABS),
			    SETS_Z    (OPC_LDASAFE_ABS),
			    SETS_NONE (OPC_LDASAFE_ABS),
			    SETS_Z    (OPC_LDASAFE_ABS),
			    SETS_N    (OPC_LDASAFE_ABS),
			    SETS_ALL  (OPC_LDASAFE_ABS),
			    SETS_N    (OPC_LDASAFE_ABS),
			    SETS_ALL  (OPC_LDASAFE_ABS),
			    SETS_NONE (OPC_LDASAFE_ABS),
			    SETS_Z    (OPC_LDASAFE_ABS),
			    SETS_NONE (OPC_LDASAFE_ABS),
			    SETS_Z    (OPC_LDASAFE_ABS),
			    SETS_N    (OPC_LDASAFE_ABS),
			    SETS_ALL  (OPC_LDASAFE_ABS),
			    SETS_N    (OPC_LDASAFE_ABS),
			    SETS_ALL  (OPC_LDASAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDASAFE_ABS_X]       SETS_NONE (OPC_LDASAFE_ABS_X),
			    SETS_Z    (OPC_LDASAFE_ABS_X),
			    SETS_NONE (OPC_LDASAFE_ABS_X),
			    SETS_Z    (OPC_LDASAFE_ABS_X),
			    SETS_N    (OPC_LDASAFE_ABS_X),
			    SETS_ALL  (OPC_LDASAFE_ABS_X),
			    SETS_N    (OPC_LDASAFE_ABS_X),
			    SETS_ALL  (OPC_LDASAFE_ABS_X),
			    SETS_NONE (OPC_LDASAFE_ABS_X),
			    SETS_Z    (OPC_LDASAFE_ABS_X),
			    SETS_NONE (OPC_LDASAFE_ABS_X),
			    SETS_Z    (OPC_LDASAFE_ABS_X),
			    SETS_N    (OPC_LDASAFE_ABS_X),
			    SETS_ALL  (OPC_LDASAFE_ABS_X),
			    SETS_N    (OPC_LDASAFE_ABS_X),
			    SETS_ALL  (OPC_LDASAFE_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDASAFE_ABS_Y]       SETS_NONE (OPC_LDASAFE_ABS_Y),
			    SETS_Z    (OPC_LDASAFE_ABS_Y),
			    SETS_NONE (OPC_LDASAFE_ABS_Y),
			    SETS_Z    (OPC_LDASAFE_ABS_Y),
			    SETS_N    (OPC_LDASAFE_ABS_Y),
			    SETS_ALL  (OPC_LDASAFE_ABS_Y),
			    SETS_N    (OPC_LDASAFE_ABS_Y),
			    SETS_ALL  (OPC_LDASAFE_ABS_Y),
			    SETS_NONE (OPC_LDASAFE_ABS_Y),
			    SETS_Z    (OPC_LDASAFE_ABS_Y),
			    SETS_NONE (OPC_LDASAFE_ABS_Y),
			    SETS_Z    (OPC_LDASAFE_ABS_Y),
			    SETS_N    (OPC_LDASAFE_ABS_Y),
			    SETS_ALL  (OPC_LDASAFE_ABS_Y),
			    SETS_N    (OPC_LDASAFE_ABS_Y),
			    SETS_ALL  (OPC_LDASAFE_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDXSAFE_ABS]         SETS_NONE (OPC_LDXSAFE_ABS),
			    SETS_Z    (OPC_LDXSAFE_ABS),
			    SETS_NONE (OPC_LDXSAFE_ABS),
			    SETS_Z    (OPC_LDXSAFE_ABS),
			    SETS_N    (OPC_LDXSAFE_ABS),
			    SETS_ALL  (OPC_LDXSAFE_ABS),
			    SETS_N    (OPC_LDXSAFE_ABS),
			    SETS_ALL  (OPC_LDXSAFE_ABS),
			    SETS_NONE (OPC_LDXSAFE_ABS),
			    SETS_Z    (OPC_LDXSAFE_ABS),
			    SETS_NONE (OPC_LDXSAFE_ABS),
			    SETS_Z    (OPC_LDXSAFE_ABS),
			    SETS_N    (OPC_LDXSAFE_ABS),
			    SETS_ALL  (OPC_LDXSAFE_ABS),
			    SETS_N    (OPC_LDXSAFE_ABS),
			    SETS_ALL  (OPC_LDXSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDXSAFE_ABS_Y]       SETS_NONE (OPC_LDXSAFE_ABS_Y),
			    SETS_Z    (OPC_LDXSAFE_ABS_Y),
			    SETS_NONE (OPC_LDXSAFE_ABS_Y),
			    SETS_Z    (OPC_LDXSAFE_ABS_Y),
			    SETS_N    (OPC_LDXSAFE_ABS_Y),
			    SETS_ALL  (OPC_LDXSAFE_ABS_Y),
			    SETS_N    (OPC_LDXSAFE_ABS_Y),
			    SETS_ALL  (OPC_LDXSAFE_ABS_Y),
			    SETS_NONE (OPC_LDXSAFE_ABS_Y),
			    SETS_Z    (OPC_LDXSAFE_ABS_Y),
			    SETS_NONE (OPC_LDXSAFE_ABS_Y),
			    SETS_Z    (OPC_LDXSAFE_ABS_Y),
			    SETS_N    (OPC_LDXSAFE_ABS_Y),
			    SETS_ALL  (OPC_LDXSAFE_ABS_Y),
			    SETS_N    (OPC_LDXSAFE_ABS_Y),
			    SETS_ALL  (OPC_LDXSAFE_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDYSAFE_ABS]         SETS_NONE (OPC_LDYSAFE_ABS),
			    SETS_Z    (OPC_LDYSAFE_ABS),
			    SETS_NONE (OPC_LDYSAFE_ABS),
			    SETS_Z    (OPC_LDYSAFE_ABS),
			    SETS_N    (OPC_LDYSAFE_ABS),
			    SETS_ALL  (OPC_LDYSAFE_ABS),
			    SETS_N    (OPC_LDYSAFE_ABS),
			    SETS_ALL  (OPC_LDYSAFE_ABS),
			    SETS_NONE (OPC_LDYSAFE_ABS),
			    SETS_Z    (OPC_LDYSAFE_ABS),
			    SETS_NONE (OPC_LDYSAFE_ABS),
			    SETS_Z    (OPC_LDYSAFE_ABS),
			    SETS_N    (OPC_LDYSAFE_ABS),
			    SETS_ALL  (OPC_LDYSAFE_ABS),
			    SETS_N    (OPC_LDYSAFE_ABS),
			    SETS_ALL  (OPC_LDYSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_LDYSAFE_ABS_X]       SETS_NONE (OPC_LDYSAFE_ABS_X),
			    SETS_Z    (OPC_LDYSAFE_ABS_X),
			    SETS_NONE (OPC_LDYSAFE_ABS_X),
			    SETS_Z    (OPC_LDYSAFE_ABS_X),
			    SETS_N    (OPC_LDYSAFE_ABS_X),
			    SETS_ALL  (OPC_LDYSAFE_ABS_X),
			    SETS_N    (OPC_LDYSAFE_ABS_X),
			    SETS_ALL  (OPC_LDYSAFE_ABS_X),
			    SETS_NONE (OPC_LDYSAFE_ABS_X),
			    SETS_Z    (OPC_LDYSAFE_ABS_X),
			    SETS_NONE (OPC_LDYSAFE_ABS_X),
			    SETS_Z    (OPC_LDYSAFE_ABS_X),
			    SETS_N    (OPC_LDYSAFE_ABS_X),
			    SETS_ALL  (OPC_LDYSAFE_ABS_X),
			    SETS_N    (OPC_LDYSAFE_ABS_X),
			    SETS_ALL  (OPC_LDYSAFE_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADCSAFE_ABS]         SETS_NONE (OPC_ADCSAFE_ABS),
			    SETS_Z    (OPC_ADCSAFE_ABS),
			    SETS_V    (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_N    (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_C    (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
			    SETS_ALL  (OPC_ADCSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADCSAFE_ABS_X]       SETS_NONE (OPC_ADCSAFE_ABS_X),
			    SETS_Z    (OPC_ADCSAFE_ABS_X),
			    SETS_V    (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_N    (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_C    (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
			    SETS_ALL  (OPC_ADCSAFE_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_ADCSAFE_ABS_Y]       SETS_NONE (OPC_ADCSAFE_ABS_Y),
			    SETS_Z    (OPC_ADCSAFE_ABS_Y),
			    SETS_V    (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_N    (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_C    (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
			    SETS_ALL  (OPC_ADCSAFE_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBCSAFE_ABS]         SETS_NONE (OPC_SBCSAFE_ABS),
			    SETS_Z    (OPC_SBCSAFE_ABS),
			    SETS_V    (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_N    (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_C    (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
			    SETS_ALL  (OPC_SBCSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBCSAFE_ABS_X]       SETS_NONE (OPC_SBCSAFE_ABS_X),
			    SETS_Z    (OPC_SBCSAFE_ABS_X),
			    SETS_V    (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_N    (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_C    (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
			    SETS_ALL  (OPC_SBCSAFE_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_SBCSAFE_ABS_Y]       SETS_NONE (OPC_SBCSAFE_ABS_Y),
			    SETS_Z    (OPC_SBCSAFE_ABS_Y),
			    SETS_V    (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_N    (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_C    (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
			    SETS_ALL  (OPC_SBCSAFE_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMPSAFE_ABS]         SETS_NONE (OPC_CMPSAFE_ABS),
			    SETS_Z    (OPC_CMPSAFE_ABS),
			    SETS_NONE (OPC_CMPSAFE_ABS),
			    SETS_Z    (OPC_CMPSAFE_ABS),
			    SETS_N    (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_N    (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_C    (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_C    (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
			    SETS_ALL  (OPC_CMPSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMPSAFE_ABS_X]       SETS_NONE (OPC_CMPSAFE_ABS_X),
			    SETS_Z    (OPC_CMPSAFE_ABS_X),
			    SETS_NONE (OPC_CMPSAFE_ABS_X),
			    SETS_Z    (OPC_CMPSAFE_ABS_X),
			    SETS_N    (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_N    (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_C    (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_C    (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
			    SETS_ALL  (OPC_CMPSAFE_ABS_X),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CMPSAFE_ABS_Y]       SETS_NONE (OPC_CMPSAFE_ABS_Y),
			    SETS_Z    (OPC_CMPSAFE_ABS_Y),
			    SETS_NONE (OPC_CMPSAFE_ABS_Y),
			    SETS_Z    (OPC_CMPSAFE_ABS_Y),
			    SETS_N    (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_N    (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_C    (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_C    (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
			    SETS_ALL  (OPC_CMPSAFE_ABS_Y),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CPXSAFE_ABS]         SETS_NONE (OPC_CPXSAFE_ABS),
			    SETS_Z    (OPC_CPXSAFE_ABS),
			    SETS_NONE (OPC_CPXSAFE_ABS),
			    SETS_Z    (OPC_CPXSAFE_ABS),
			    SETS_N    (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_N    (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_C    (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_C    (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
			    SETS_ALL  (OPC_CPXSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

  [OPC_CPYSAFE_ABS]         SETS_NONE (OPC_CPYSAFE_ABS),
			    SETS_Z    (OPC_CPYSAFE_ABS),
			    SETS_NONE (OPC_CPYSAFE_ABS),
			    SETS_Z    (OPC_CPYSAFE_ABS),
			    SETS_N    (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_N    (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_C    (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_C    (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
			    SETS_ALL  (OPC_CPYSAFE_ABS),
                            REPEAT_16 (&&newbank_pc_plus3),

};
#undef SETS_NONE
#undef SETS_C
#undef SETS_N
#undef SETS_V
#undef SETS_Z
#undef SETS_ALL
