/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


typedef enum {
  AM_IMPLICIT,
  AM_IMM,
  AM_ZP,
  AM_ZP_X,
  AM_ZP_Y,
  AM_IND,
  AM_IND_X,
  AM_IND_Y,
  AM_ABS,
  AM_ABS_X,
  AM_ABS_Y,
  AM_ABSIND,
  AM_ABSIND_X,
  AM_RELATIVE,
} AddressingMode;


typedef struct {
  unsigned short base_opcode;               /* Opcode for this byte.         */
  unsigned char operand_bytes;              /* # bytes of operands.          */
  unsigned char is_relative_branch      :1; /* TRUE iff it's a Bxx instr.    */
  unsigned char abs_mode_and_is_safe    :1; /* Uses $nnnn addressing mode.   */
  unsigned char abs_xy_mode_and_is_safe :1; /* Uses $nnnn,x addressing mode. */
  unsigned char is_normal_instr         :1; /* Just executes and inc's PC?   */
  unsigned char addressing_mode         :4; /* Info for disassembly          */
  char opcode_text[4];                      /* "LDA", etc.                   */
} TranslateInfo;

typedef struct {
  unsigned char ccflags_clobbered;
} CompileInfo;

extern const TranslateInfo translate_info[256];
extern const CompileInfo compile_info[];
