#include <stdio.h>
#include <string.h>
#include <stdlib.h>

static unsigned char mem[65536];

int
main (int argc, char *argv[])
{
  FILE *in, *out;
  char buf[512], *p, *end;
  int highest = -1;
  int addr, n;

  if (argc != 3)
    fprintf (stderr, "Usage: %s <infile> <outfile>\n", argv[0]), exit (-1);

  /* Open input file */
  in = fopen (argv[1], "r");
  if (in == NULL)
    fprintf (stderr, "Unable to open input file \"%s\"\n", argv[1]), exit (-1);

  /* Open output file */
  out = fopen (argv[2], "wb");
  if (out == NULL)
    fprintf (stderr, "Unable to open output file \"%s\"\n",argv[2]), exit (-1);

  /* Parse the file */
  while (fgets (buf, sizeof buf, in) != NULL)
    {
      if (!strncmp (buf, "CALL", 4)) continue;

      end = buf + strlen (buf);
      sscanf (buf, "%x", (unsigned *) &addr);

      for (p = buf + 5; p < end; p += 3)
	{
	  if (sscanf (p, " %x", (unsigned *) &n))
	    mem[addr++] = n;
	}
      if (addr > highest)
	highest = addr;
    }

  /* Save the data */
  if (highest == -1)
    fprintf (stderr, "No data to output!\n");
  else
    {
      fwrite (mem, 1, highest, out);
    }

  fclose (in);
  return 0;
}







